com.collabnet.ce.soap60.webservices.docman

## Class DocumentAppSoapMockStub

- java.lang.Object
- - com.collabnet.ce.soap60.webservices.ClientSoapStub
  - - com.collabnet.ce.soap60.webservices.ClientSoapMockStub
    - - com.collabnet.ce.soap60.webservices.docman.DocumentAppSoapMockStub

- All Implemented Interfaces:
    IDocumentAppSoap

      public class DocumentAppSoapMockStub
      extends com.collabnet.ce.soap60.webservices.ClientSoapMockStub
      implements IDocumentAppSoap

- - ### Field Summary

    - ### Fields inherited from class com.collabnet.ce.soap60.webservices.ClientSoapMockStub

      `DATE_WILDCARD, GUIDKEY_WILDCARD, INTEGER_WILDCARD, LONG_WILDCARD, STRING_WILDCARD`

    - ### Fields inherited from class com.collabnet.ce.soap60.webservices.ClientSoapStub

      `DEFAULT_CLIENT_TIME_OUT`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DocumentAppSoapMockStub(String soapServerUrl)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addDateField(String sessionId, String projectId, String fieldName, boolean isRequired, boolean isDisabled, boolean isHiddenOnCreate, String helpText)` Simulate a call to addDateField
    `void` | `addField(String sessionId, String projectId, String fieldName, com.vasoftware.sf.server.services.field.FieldDisplayType fieldType, int displayColumns, int displayRows, boolean isRequired, boolean isDisabled, boolean isHiddenOnCreate, String[] fieldValues, String[] defaultFieldValues, String helpText, String pattern)` Simulate a call to addField
    `void` | `addMultiSelectField(String sessionId, String projectId, String fieldName, int displayLines, boolean isRequired, boolean isDisabled, boolean isHiddenOnCreate, String[] fieldValues, String[] defaultValues, String helpText)` Simulate a call to addMultiSelectField
    `void` | `addSeparator(String sessionId, String projectId, String separatorType, String separatorLabel)` Simulate a call to addSeparator
    `void` | `addSingleSelectChildField(String sessionId, String projectId, String fieldName, String[] fieldValues, String parentFieldId, com.collabnet.ce.soap60.types.SoapNamedValues parentChildFieldValueMap, String helpText)` Simulate a call to addSingleSelectChildField
    `void` | `addSingleSelectField(String sessionId, String projectId, String fieldName, boolean isRequired, boolean isDisabled, boolean isHiddenOnCreate, String[] fieldValues, String defaultValue, String helpText)` Simulate a call to addSingleSelectField
    `void` | `addTextField(String sessionId, String projectId, String fieldName, int displayColumns, int displayLines, boolean isRequired, boolean isDisabled, boolean isHiddenOnCreate, String defaultValue, String helpText, String pattern)` Simulate a call to addTextField
    `void` | `addUserSelectField(String sessionId, String projectId, String fieldName, int displayLines, boolean isRequired, boolean isDisabled, boolean isHiddenOnCreate, String[] defaultValues, String userFilter, String helpText)` Simulate a call to addUserSelectField
    `boolean` | `checkPermissionForView(com.vasoftware.sf.server.types.UserSessionKey sessionKey, String username, com.vasoftware.sf.server.types.ObjectKey targetKey)` Simulate a call to checkPermissionForView
    `com.vasoftware.sf.server.services.docman.DocumentDO` | `createDocument(String sessionId, String parentId, String title, String description, String versionComment, String status, boolean createLocked, boolean createDownloadRestricted, boolean allowForceUnlock, String fileName, String mimeType, String fileId, String associationId, String associationDesc, com.collabnet.ce.soap60.types.SoapFieldValues flexFields)` Simulate a call to createDocument
    `DocumentSoapDO` | `createDocument(String sessionId, String parentId, String title, String description, String versionComment, String status, boolean createLocked, String fileName, String mimeType, String fileId, String associationId, String associationDesc)` Simulate a call to createDocument
    `Document2SoapDO` | `createDocument2(String sessionId, String parentId, String title, String description, String versionComment, String status, boolean createLocked, boolean createDownloadRestricted, boolean allowForceUnlock, String fileName, String mimeType, String fileId, String associationId, String associationDesc)` Simulate a call to createDocument2
    `Document3SoapDO` | `createDocument3(String sessionId, String parentId, String title, String description, String versionComment, String status, boolean createLocked, boolean createDownloadRestricted, boolean allowForceUnlock, String fileName, String mimeType, String fileId, String associationId, String associationDesc, com.collabnet.ce.soap60.types.SoapFieldValues flexFields)` Simulate a call to createDocument3
    `DocumentFolderSoapDO` | `createDocumentFolder(String sessionId, String parentId, String title, String description)` Simulate a call to createDocumentFolder
    `com.vasoftware.sf.server.services.docman.DocumentDO` | `createDocumentWithUrl(String sessionId, String parentId, String title, String description, String versionComment, String status, boolean createLocked, boolean createDownloadRestricted, boolean allowForceUnlock, String fileUrl, String associationId, String associationDesc, com.collabnet.ce.soap60.types.SoapFieldValues flexFields)` Simulate a call to createDocumentWithUrl
    `DocumentSoapDO` | `createDocumentWithUrl(String sessionId, String parentId, String title, String description, String versionComment, String status, boolean createLocked, String fileUrl, String associationId, String associationDesc)` Simulate a call to createDocumentWithUrl
    `Document2SoapDO` | `createDocumentWithUrl2(String sessionId, String parentId, String title, String description, String versionComment, String status, boolean createLocked, boolean createDownloadRestricted, boolean allowForceUnlock, String fileUrl, String associationId, String associationDesc)` Simulate a call to createDocumentWithUrl2
    `Document3SoapDO` | `createDocumentWithUrl3(String sessionId, String parentId, String title, String description, String versionComment, String status, boolean createLocked, boolean createDownloadRestricted, boolean allowForceUnlock, String fileUrl, String associationId, String associationDesc, com.collabnet.ce.soap60.types.SoapFieldValues flexFields)` Simulate a call to createDocumentWithUrl3
    `DocumentReviewSoapDO` | `createReview(String sessionId, String documentId, int version, String title, String description, Date dueDate, String[] requiredReviewers, String[] optionalReviewers, boolean attachDocument)` Simulate a call to createReview
    `void` | `deleteDocument(String sessionId, String documentId)` Simulate a call to deleteDocument
    `void` | `deleteDocumentByVersions(String sessionId, String documentId, int[] versionNumbers)` Simulate a call to deleteDocumentByVersions
    `void` | `deleteDocumentFolder(String sessionId, String folderId)` Simulate a call to deleteDocumentFolder
    `void` | `deleteField(String sessionId, String fieldId)` Simulate a call to deleteField
    `void` | `deleteSeparator(String sessionId, String layoutId)` Simulate a call to deleteSeparator
    `DocumentSoapList` | `findDocuments(String sessionId, String queryString, String projectId, boolean searchAttachments, boolean currentVersionsOnly)` Simulate a call to findDocuments
    `Document2SoapList` | `findDocuments2(String sessionId, String queryString, String projectId, boolean searchAttachments, boolean currentVersionsOnly)` Simulate a call to findDocuments2
    `Document3SoapList` | `findDocuments3(String sessionId, String queryString, String projectId, boolean searchAttachments, boolean currentVersionsOnly)` Simulate a call to findDocuments3
    `com.vasoftware.sf.server.services.docman.DocumentList` | `findDocumentsList(String sessionId, String queryString, String projectId, boolean searchAttachments, boolean currentVersionsOnly)` Simulate a call to findDocumentsList
    `com.vasoftware.sf.server.services.docman.DocumentList` | `findDocumentsList2(String sessionId, String queryString, String projectId, boolean searchAttachments, boolean currentVersionsOnly)` Simulate a call to findDocumentsList2
    `DocumentReviewSoapList` | `getAssignedDocumentReviewList(String sessionId, String username)` Simulate a call to getAssignedDocumentReviewList
    `com.vasoftware.sf.server.services.docman.DocumentDO` | `getDocumentData(String documentId, int documentVersion, String sessionId)` Simulate a call to getDocumentData
    `DocumentSoapDO` | `getDocumentData(String sessionId, String documentId, int documentVersion)` Simulate a call to getDocumentData
    `Document2SoapDO` | `getDocumentData2(String sessionId, String documentId, int documentVersion)` Simulate a call to getDocumentData2
    `Document3SoapDO` | `getDocumentData3(String sessionId, String documentId, int documentVersion)` Simulate a call to getDocumentData3
    `String` | `getDocumentFileId(String sessionId, String documentId, int documentVersion)` Simulate a call to getDocumentFileId
    `DocumentFolderSoapDO` | `getDocumentFolderData(String sessionId, String folderId)` Simulate a call to getDocumentFolderData
    `DocumentFolderSoapList` | `getDocumentFolderList(String sessionId, String parentId, boolean recursive)` Simulate a call to getDocumentFolderList
    `DocumentSoapList` | `getDocumentList(String sessionId, String parentId, com.collabnet.ce.soap60.types.SoapFilter[] filters)` Simulate a call to getDocumentList
    `Document2SoapList` | `getDocumentList2(String sessionId, String parentId, com.collabnet.ce.soap60.types.SoapFilter[] filters)` Simulate a call to getDocumentList2
    `Document3SoapList` | `getDocumentList3(String sessionId, String documentFolderId, com.collabnet.ce.soap60.types.SoapFilter[] filters)` Simulate a call to getDocumentList3
    `DocumentReviewSoapList` | `getDocumentReviewList(String sessionId, String containerId, com.collabnet.ce.soap60.types.SoapFilter[] filters)` Simulate a call to getDocumentReviewList
    `Document2SoapList` | `getDocumentVersions(String sessionId, String documentId, boolean includeDeletedVersions)` Simulate a call to getDocumentVersions
    `DocumentFolderFieldSoapDO[]` | `getFields(String sessionId, String projectId)` Simulate a call to getFields
    `OrderedDocumentFolderFieldSoapList` | `getOrderedDocumentFields(String sessionId, String projectId)` Simulate a call to getOrderedDocumentFields
    `String` | `getValidStatus(String projectPath, String soapStatus, String rmiStatus, com.vasoftware.sf.server.types.UserSessionKey sessionKey)` Simulate a call to getValidStatus
    `String` | `getVersionStatus(String projectPath, String status, com.vasoftware.sf.server.types.UserSessionKey sessionKey)` Simulate a call to getVersionStatus
    `boolean` | `isLockedDocument(com.vasoftware.sf.server.types.ItemPath documentPath, String loggedInUser)` Simulate a call to isLockedDocument
    `com.vasoftware.sf.server.services.docman.DocumentList` | `listDocuments(String sessionId, String parentId, com.collabnet.ce.soap60.types.SoapFilter[] filters)` Simulate a call to listDocuments
    `com.vasoftware.sf.server.services.docman.DocumentDetailArrangedList` | `listDocumentsDetailed(String sessionId, String documentFolderId, com.collabnet.ce.soap60.types.SoapFilter[] filters)` Simulate a call to listDocumentsDetailed
    `com.vasoftware.sf.server.services.docman.DocumentDO` | `moveDoc(String sessionId, com.vasoftware.sf.server.types.ItemPath documentPath, com.vasoftware.sf.server.types.FolderPath targetFolderPath, String loggedInUser)` Simulate a call to moveDoc
    `DocumentSoapDO` | `moveDocument(String sessionId, String documentId, String targetFolderId)` Simulate a call to moveDocument
    `Document2SoapDO` | `moveDocument2(String sessionId, String documentId, String targetFolderId)` Simulate a call to moveDocument2
    `Document3SoapDO` | `moveDocument3(String sessionId, String documentId, String targetFolderId)` Simulate a call to moveDocument3
    `DocumentFolderSoapDO` | `moveDocumentFolder(String sessionId, String folderId, String destFolderId)` Simulate a call to moveDocumentFolder
    `void` | `prepareAddDateField(String sessionId, String projectId, String fieldName, boolean isRequired, boolean isDisabled, boolean isHiddenOnCreate, String helpText)` Prepare a simulated response to addDateField
    `void` | `prepareAddDateField(String sessionId, String projectId, String fieldName, boolean isRequired, boolean isDisabled, boolean isHiddenOnCreate, String helpText, Exception exception)` Prepare a simulated response to addDateField
    `void` | `prepareAddField(String sessionId, String projectId, String fieldName, com.vasoftware.sf.server.services.field.FieldDisplayType fieldType, int displayColumns, int displayRows, boolean isRequired, boolean isDisabled, boolean isHiddenOnCreate, String[] fieldValues, String[] defaultFieldValues, String helpText, String pattern)` Prepare a simulated response to addField
    `void` | `prepareAddField(String sessionId, String projectId, String fieldName, com.vasoftware.sf.server.services.field.FieldDisplayType fieldType, int displayColumns, int displayRows, boolean isRequired, boolean isDisabled, boolean isHiddenOnCreate, String[] fieldValues, String[] defaultFieldValues, String helpText, String pattern, Exception exception)` Prepare a simulated response to addField
    `void` | `prepareAddMultiSelectField(String sessionId, String projectId, String fieldName, int displayLines, boolean isRequired, boolean isDisabled, boolean isHiddenOnCreate, String[] fieldValues, String[] defaultValues, String helpText)` Prepare a simulated response to addMultiSelectField
    `void` | `prepareAddMultiSelectField(String sessionId, String projectId, String fieldName, int displayLines, boolean isRequired, boolean isDisabled, boolean isHiddenOnCreate, String[] fieldValues, String[] defaultValues, String helpText, Exception exception)` Prepare a simulated response to addMultiSelectField
    `void` | `prepareAddSeparator(String sessionId, String projectId, String separatorType, String separatorLabel)` Prepare a simulated response to addSeparator
    `void` | `prepareAddSeparator(String sessionId, String projectId, String separatorType, String separatorLabel, Exception exception)` Prepare a simulated response to addSeparator
    `void` | `prepareAddSingleSelectChildField(String sessionId, String projectId, String fieldName, String[] fieldValues, String parentFieldId, com.collabnet.ce.soap60.types.SoapNamedValues parentChildFieldValueMap, String helpText)` Prepare a simulated response to addSingleSelectChildField
    `void` | `prepareAddSingleSelectChildField(String sessionId, String projectId, String fieldName, String[] fieldValues, String parentFieldId, com.collabnet.ce.soap60.types.SoapNamedValues parentChildFieldValueMap, String helpText, Exception exception)` Prepare a simulated response to addSingleSelectChildField
    `void` | `prepareAddSingleSelectField(String sessionId, String projectId, String fieldName, boolean isRequired, boolean isDisabled, boolean isHiddenOnCreate, String[] fieldValues, String defaultValue, String helpText)` Prepare a simulated response to addSingleSelectField
    `void` | `prepareAddSingleSelectField(String sessionId, String projectId, String fieldName, boolean isRequired, boolean isDisabled, boolean isHiddenOnCreate, String[] fieldValues, String defaultValue, String helpText, Exception exception)` Prepare a simulated response to addSingleSelectField
    `void` | `prepareAddTextField(String sessionId, String projectId, String fieldName, int displayColumns, int displayLines, boolean isRequired, boolean isDisabled, boolean isHiddenOnCreate, String defaultValue, String helpText, String pattern)` Prepare a simulated response to addTextField
    `void` | `prepareAddTextField(String sessionId, String projectId, String fieldName, int displayColumns, int displayLines, boolean isRequired, boolean isDisabled, boolean isHiddenOnCreate, String defaultValue, String helpText, String pattern, Exception exception)` Prepare a simulated response to addTextField
    `void` | `prepareAddUserSelectField(String sessionId, String projectId, String fieldName, int displayLines, boolean isRequired, boolean isDisabled, boolean isHiddenOnCreate, String[] defaultValues, String userFilter, String helpText)` Prepare a simulated response to addUserSelectField
    `void` | `prepareAddUserSelectField(String sessionId, String projectId, String fieldName, int displayLines, boolean isRequired, boolean isDisabled, boolean isHiddenOnCreate, String[] defaultValues, String userFilter, String helpText, Exception exception)` Prepare a simulated response to addUserSelectField
    `void` | `prepareCheckPermissionForView(com.vasoftware.sf.server.types.UserSessionKey sessionKey, String username, com.vasoftware.sf.server.types.ObjectKey targetKey, Object returnValue)` Prepare a simulated response to checkPermissionForView
    `void` | `prepareCreateDocument(String sessionId, String parentId, String title, String description, String versionComment, String status, boolean createLocked, boolean createDownloadRestricted, boolean allowForceUnlock, String fileName, String mimeType, String fileId, String associationId, String associationDesc, com.collabnet.ce.soap60.types.SoapFieldValues flexFields, Object returnValue)` Prepare a simulated response to createDocument
    `void` | `prepareCreateDocument(String sessionId, String parentId, String title, String description, String versionComment, String status, boolean createLocked, String fileName, String mimeType, String fileId, String associationId, String associationDesc, Object returnValue)` Prepare a simulated response to createDocument
    `void` | `prepareCreateDocument2(String sessionId, String parentId, String title, String description, String versionComment, String status, boolean createLocked, boolean createDownloadRestricted, boolean allowForceUnlock, String fileName, String mimeType, String fileId, String associationId, String associationDesc, Object returnValue)` Prepare a simulated response to createDocument2
    `void` | `prepareCreateDocument3(String sessionId, String parentId, String title, String description, String versionComment, String status, boolean createLocked, boolean createDownloadRestricted, boolean allowForceUnlock, String fileName, String mimeType, String fileId, String associationId, String associationDesc, com.collabnet.ce.soap60.types.SoapFieldValues flexFields, Object returnValue)` Prepare a simulated response to createDocument3
    `void` | `prepareCreateDocumentFolder(String sessionId, String parentId, String title, String description, Object returnValue)` Prepare a simulated response to createDocumentFolder
    `void` | `prepareCreateDocumentWithUrl(String sessionId, String parentId, String title, String description, String versionComment, String status, boolean createLocked, boolean createDownloadRestricted, boolean allowForceUnlock, String fileUrl, String associationId, String associationDesc, com.collabnet.ce.soap60.types.SoapFieldValues flexFields, Object returnValue)` Prepare a simulated response to createDocumentWithUrl
    `void` | `prepareCreateDocumentWithUrl(String sessionId, String parentId, String title, String description, String versionComment, String status, boolean createLocked, String fileUrl, String associationId, String associationDesc, Object returnValue)` Prepare a simulated response to createDocumentWithUrl
    `void` | `prepareCreateDocumentWithUrl2(String sessionId, String parentId, String title, String description, String versionComment, String status, boolean createLocked, boolean createDownloadRestricted, boolean allowForceUnlock, String fileUrl, String associationId, String associationDesc, Object returnValue)` Prepare a simulated response to createDocumentWithUrl2
    `void` | `prepareCreateDocumentWithUrl3(String sessionId, String parentId, String title, String description, String versionComment, String status, boolean createLocked, boolean createDownloadRestricted, boolean allowForceUnlock, String fileUrl, String associationId, String associationDesc, com.collabnet.ce.soap60.types.SoapFieldValues flexFields, Object returnValue)` Prepare a simulated response to createDocumentWithUrl3
    `void` | `prepareCreateReview(String sessionId, String documentId, int version, String title, String description, Date dueDate, String[] requiredReviewers, String[] optionalReviewers, boolean attachDocument, Object returnValue)` Prepare a simulated response to createReview
    `void` | `prepareDeleteDocument(String sessionId, String documentId)` Prepare a simulated response to deleteDocument
    `void` | `prepareDeleteDocument(String sessionId, String documentId, Exception exception)` Prepare a simulated response to deleteDocument
    `void` | `prepareDeleteDocumentByVersions(String sessionId, String documentId, int[] versionNumbers)` Prepare a simulated response to deleteDocumentByVersions
    `void` | `prepareDeleteDocumentByVersions(String sessionId, String documentId, int[] versionNumbers, Exception exception)` Prepare a simulated response to deleteDocumentByVersions
    `void` | `prepareDeleteDocumentFolder(String sessionId, String folderId)` Prepare a simulated response to deleteDocumentFolder
    `void` | `prepareDeleteDocumentFolder(String sessionId, String folderId, Exception exception)` Prepare a simulated response to deleteDocumentFolder
    `void` | `prepareDeleteField(String sessionId, String fieldId)` Prepare a simulated response to deleteField
    `void` | `prepareDeleteField(String sessionId, String fieldId, Exception exception)` Prepare a simulated response to deleteField
    `void` | `prepareDeleteSeparator(String sessionId, String layoutId)` Prepare a simulated response to deleteSeparator
    `void` | `prepareDeleteSeparator(String sessionId, String layoutId, Exception exception)` Prepare a simulated response to deleteSeparator
    `void` | `prepareFindDocuments(String sessionId, String queryString, String projectId, boolean searchAttachments, boolean currentVersionsOnly, Object returnValue)` Prepare a simulated response to findDocuments
    `void` | `prepareFindDocuments2(String sessionId, String queryString, String projectId, boolean searchAttachments, boolean currentVersionsOnly, Object returnValue)` Prepare a simulated response to findDocuments2
    `void` | `prepareFindDocuments3(String sessionId, String queryString, String projectId, boolean searchAttachments, boolean currentVersionsOnly, Object returnValue)` Prepare a simulated response to findDocuments3
    `void` | `prepareFindDocumentsList(String sessionId, String queryString, String projectId, boolean searchAttachments, boolean currentVersionsOnly, Object returnValue)` Prepare a simulated response to findDocumentsList
    `void` | `prepareFindDocumentsList2(String sessionId, String queryString, String projectId, boolean searchAttachments, boolean currentVersionsOnly, Object returnValue)` Prepare a simulated response to findDocumentsList2
    `void` | `prepareGetAssignedDocumentReviewList(String sessionId, String username, Object returnValue)` Prepare a simulated response to getAssignedDocumentReviewList
    `void` | `prepareGetDocumentData(String documentId, int documentVersion, String sessionId, Object returnValue)` Prepare a simulated response to getDocumentData
    `void` | `prepareGetDocumentData(String sessionId, String documentId, int documentVersion, Object returnValue)` Prepare a simulated response to getDocumentData
    `void` | `prepareGetDocumentData2(String sessionId, String documentId, int documentVersion, Object returnValue)` Prepare a simulated response to getDocumentData2
    `void` | `prepareGetDocumentData3(String sessionId, String documentId, int documentVersion, Object returnValue)` Prepare a simulated response to getDocumentData3
    `void` | `prepareGetDocumentFileId(String sessionId, String documentId, int documentVersion, Object returnValue)` Prepare a simulated response to getDocumentFileId
    `void` | `prepareGetDocumentFolderData(String sessionId, String folderId, Object returnValue)` Prepare a simulated response to getDocumentFolderData
    `void` | `prepareGetDocumentFolderList(String sessionId, String parentId, boolean recursive, Object returnValue)` Prepare a simulated response to getDocumentFolderList
    `void` | `prepareGetDocumentList(String sessionId, String parentId, com.collabnet.ce.soap60.types.SoapFilter[] filters, Object returnValue)` Prepare a simulated response to getDocumentList
    `void` | `prepareGetDocumentList2(String sessionId, String parentId, com.collabnet.ce.soap60.types.SoapFilter[] filters, Object returnValue)` Prepare a simulated response to getDocumentList2
    `void` | `prepareGetDocumentList3(String sessionId, String documentFolderId, com.collabnet.ce.soap60.types.SoapFilter[] filters, Object returnValue)` Prepare a simulated response to getDocumentList3
    `void` | `prepareGetDocumentReviewList(String sessionId, String containerId, com.collabnet.ce.soap60.types.SoapFilter[] filters, Object returnValue)` Prepare a simulated response to getDocumentReviewList
    `void` | `prepareGetDocumentVersions(String sessionId, String documentId, boolean includeDeletedVersions, Object returnValue)` Prepare a simulated response to getDocumentVersions
    `void` | `prepareGetFields(String sessionId, String projectId, Object returnValue)` Prepare a simulated response to getFields
    `void` | `prepareGetOrderedDocumentFields(String sessionId, String projectId, Object returnValue)` Prepare a simulated response to getOrderedDocumentFields
    `void` | `prepareGetValidStatus(String projectPath, String soapStatus, String rmiStatus, com.vasoftware.sf.server.types.UserSessionKey sessionKey, Object returnValue)` Prepare a simulated response to getValidStatus
    `void` | `prepareGetVersionStatus(String projectPath, String status, com.vasoftware.sf.server.types.UserSessionKey sessionKey, Object returnValue)` Prepare a simulated response to getVersionStatus
    `void` | `prepareIsLockedDocument(com.vasoftware.sf.server.types.ItemPath documentPath, String loggedInUser, Object returnValue)` Prepare a simulated response to isLockedDocument
    `void` | `prepareListDocuments(String sessionId, String parentId, com.collabnet.ce.soap60.types.SoapFilter[] filters, Object returnValue)` Prepare a simulated response to listDocuments
    `void` | `prepareListDocumentsDetailed(String sessionId, String documentFolderId, com.collabnet.ce.soap60.types.SoapFilter[] filters, Object returnValue)` Prepare a simulated response to listDocumentsDetailed
    `void` | `prepareMoveDoc(String sessionId, com.vasoftware.sf.server.types.ItemPath documentPath, com.vasoftware.sf.server.types.FolderPath targetFolderPath, String loggedInUser, Object returnValue)` Prepare a simulated response to moveDoc
    `void` | `prepareMoveDocument(String sessionId, String documentId, String targetFolderId, Object returnValue)` Prepare a simulated response to moveDocument
    `void` | `prepareMoveDocument2(String sessionId, String documentId, String targetFolderId, Object returnValue)` Prepare a simulated response to moveDocument2
    `void` | `prepareMoveDocument3(String sessionId, String documentId, String targetFolderId, Object returnValue)` Prepare a simulated response to moveDocument3
    `void` | `prepareMoveDocumentFolder(String sessionId, String folderId, String destFolderId, Object returnValue)` Prepare a simulated response to moveDocumentFolder
    `void` | `prepareReorderDocumentFields(String sessionId, String projectId, String[] layoutIds)` Prepare a simulated response to reorderDocumentFields
    `void` | `prepareReorderDocumentFields(String sessionId, String projectId, String[] layoutIds, Exception exception)` Prepare a simulated response to reorderDocumentFields
    `void` | `prepareSetDocumentData(com.vasoftware.sf.server.services.docman.DocumentDO documentDO, String fileId, String loggedInUser, Set tagIds)` Prepare a simulated response to setDocumentData
    `void` | `prepareSetDocumentData(com.vasoftware.sf.server.services.docman.DocumentDO documentDO, String fileId, String loggedInUser, Set tagIds, Exception exception)` Prepare a simulated response to setDocumentData
    `void` | `prepareSetDocumentData(String sessionId, DocumentSoapDO documentData, String fileId)` Prepare a simulated response to setDocumentData
    `void` | `prepareSetDocumentData(String sessionId, DocumentSoapDO documentData, String fileId, Exception exception)` Prepare a simulated response to setDocumentData
    `void` | `prepareSetDocumentData2(String sessionId, Document2SoapDO documentData, String fileId)` Prepare a simulated response to setDocumentData2
    `void` | `prepareSetDocumentData2(String sessionId, Document2SoapDO documentData, String fileId, Exception exception)` Prepare a simulated response to setDocumentData2
    `void` | `prepareSetDocumentData3(String sessionId, Document3SoapDO documentData, String fileId)` Prepare a simulated response to setDocumentData3
    `void` | `prepareSetDocumentData3(String sessionId, Document3SoapDO documentData, String fileId, Exception exception)` Prepare a simulated response to setDocumentData3
    `void` | `prepareSetDocumentDataWithAssociation(com.vasoftware.sf.server.services.docman.DocumentDO documentDO, String fileId, String associationId, String associationComment, String loggedInUser, Set tagIds)` Prepare a simulated response to setDocumentDataWithAssociation
    `void` | `prepareSetDocumentDataWithAssociation(com.vasoftware.sf.server.services.docman.DocumentDO documentDO, String fileId, String associationId, String associationComment, String loggedInUser, Set tagIds, Exception exception)` Prepare a simulated response to setDocumentDataWithAssociation
    `void` | `prepareSetDocumentDataWithAssociation(String sessionId, DocumentSoapDO documentData, String fileId, String associationId, String associationComment)` Prepare a simulated response to setDocumentDataWithAssociation
    `void` | `prepareSetDocumentDataWithAssociation(String sessionId, DocumentSoapDO documentData, String fileId, String associationId, String associationComment, Exception exception)` Prepare a simulated response to setDocumentDataWithAssociation
    `void` | `prepareSetDocumentDataWithAssociation2(String sessionId, Document2SoapDO documentData, String fileId, String associationId, String associationComment)` Prepare a simulated response to setDocumentDataWithAssociation2
    `void` | `prepareSetDocumentDataWithAssociation2(String sessionId, Document2SoapDO documentData, String fileId, String associationId, String associationComment, Exception exception)` Prepare a simulated response to setDocumentDataWithAssociation2
    `void` | `prepareSetDocumentDataWithAssociation3(String sessionId, Document3SoapDO documentData, String fileId, String associationId, String associationComment)` Prepare a simulated response to setDocumentDataWithAssociation3
    `void` | `prepareSetDocumentDataWithAssociation3(String sessionId, Document3SoapDO documentData, String fileId, String associationId, String associationComment, Exception exception)` Prepare a simulated response to setDocumentDataWithAssociation3
    `void` | `prepareSetDocumentFolderData(String sessionId, DocumentFolderSoapDO documentFolderData)` Prepare a simulated response to setDocumentFolderData
    `void` | `prepareSetDocumentFolderData(String sessionId, DocumentFolderSoapDO documentFolderData, Exception exception)` Prepare a simulated response to setDocumentFolderData
    `void` | `prepareSetField(String sessionId, DocumentFolderFieldSoapDO fieldData)` Prepare a simulated response to setField
    `void` | `prepareSetField(String sessionId, DocumentFolderFieldSoapDO fieldData, Exception exception)` Prepare a simulated response to setField
    `void` | `prepareValidateCreateDocument(String title, String description, String status, String fileName, String mimeType, String fileId)` Prepare a simulated response to validateCreateDocument
    `void` | `prepareValidateCreateDocument(String title, String description, String status, String fileName, String mimeType, String fileId, Exception exception)` Prepare a simulated response to validateCreateDocument
    `void` | `prepareValidateCreateDocumentWithUrl(String title, String description, String status, String fileUrl)` Prepare a simulated response to validateCreateDocumentWithUrl
    `void` | `prepareValidateCreateDocumentWithUrl(String title, String description, String status, String fileUrl, Exception exception)` Prepare a simulated response to validateCreateDocumentWithUrl
    `void` | `prepareValidateLockAttributes(boolean createLocked, boolean createDownloadRestricted, boolean allowForceUnlock)` Prepare a simulated response to validateLockAttributes
    `void` | `prepareValidateLockAttributes(boolean createLocked, boolean createDownloadRestricted, boolean allowForceUnlock, Exception exception)` Prepare a simulated response to validateLockAttributes
    `void` | `prepareValidateVersions(com.vasoftware.sf.server.types.ItemPath documentPath, int[] versionNumbers, String loggedInUser, Object returnValue)` Prepare a simulated response to validateVersions
    `void` | `prepareVerifyAndGetFields(String projectId, String loggedInUser, Object returnValue)` Prepare a simulated response to verifyAndGetFields
    `void` | `reorderDocumentFields(String sessionId, String projectId, String[] layoutIds)` Simulate a call to reorderDocumentFields
    `void` | `setDocumentData(com.vasoftware.sf.server.services.docman.DocumentDO documentDO, String fileId, String loggedInUser, Set tagIds)` Simulate a call to setDocumentData
    `void` | `setDocumentData(String sessionId, DocumentSoapDO documentData, String fileId)` Simulate a call to setDocumentData
    `void` | `setDocumentData2(String sessionId, Document2SoapDO documentData, String fileId)` Simulate a call to setDocumentData2
    `void` | `setDocumentData3(String sessionId, Document3SoapDO documentData, String fileId)` Simulate a call to setDocumentData3
    `void` | `setDocumentDataWithAssociation(com.vasoftware.sf.server.services.docman.DocumentDO documentDO, String fileId, String associationId, String associationComment, String loggedInUser, Set tagIds)` Simulate a call to setDocumentDataWithAssociation
    `void` | `setDocumentDataWithAssociation(String sessionId, DocumentSoapDO documentData, String fileId, String associationId, String associationComment)` Simulate a call to setDocumentDataWithAssociation
    `void` | `setDocumentDataWithAssociation2(String sessionId, Document2SoapDO documentData, String fileId, String associationId, String associationComment)` Simulate a call to setDocumentDataWithAssociation2
    `void` | `setDocumentDataWithAssociation3(String sessionId, Document3SoapDO documentData, String fileId, String associationId, String associationComment)` Simulate a call to setDocumentDataWithAssociation3
    `void` | `setDocumentFolderData(String sessionId, DocumentFolderSoapDO documentFolderData)` Simulate a call to setDocumentFolderData
    `void` | `setField(String sessionId, DocumentFolderFieldSoapDO fieldData)` Simulate a call to setField
    `void` | `validateCreateDocument(String title, String description, String status, String fileName, String mimeType, String fileId)` Simulate a call to validateCreateDocument
    `void` | `validateCreateDocumentWithUrl(String title, String description, String status, String fileUrl)` Simulate a call to validateCreateDocumentWithUrl
    `void` | `validateLockAttributes(boolean createLocked, boolean createDownloadRestricted, boolean allowForceUnlock)` Simulate a call to validateLockAttributes
    `List` | `validateVersions(com.vasoftware.sf.server.types.ItemPath documentPath, int[] versionNumbers, String loggedInUser)` Simulate a call to validateVersions
    `com.vasoftware.sf.server.services.field.FieldDO[]` | `verifyAndGetFields(String projectId, String loggedInUser)` Simulate a call to verifyAndGetFields

    - ### Methods inherited from class com.collabnet.ce.soap60.webservices.ClientSoapMockStub

      `addSimulatedResult, addSimulatedResult, addSimulatedResult, getCallCount, getCallParameters, getUnusedCalls, simulateCall`

    - ### Methods inherited from class com.collabnet.ce.soap60.webservices.ClientSoapStub

      `getServiceCall, getSoapServer, getTimeout, setTimeout`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DocumentAppSoapMockStub

          public DocumentAppSoapMockStub(String soapServerUrl)

  - ### Method Detail

    - #### prepareGetDocumentFolderList

          public void prepareGetDocumentFolderList(String sessionId,
                                                   String parentId,
                                                   boolean recursive,
                                                   Object returnValue)

      Prepare a simulated response to getDocumentFolderList
      See Also:
        `DocumentAppSoap.getDocumentFolderList(java.lang.String, java.lang.String, boolean)`

    - #### getDocumentFolderList

          public DocumentFolderSoapList getDocumentFolderList(String sessionId,
                                                              String parentId,
                                                              boolean recursive)
                                                       throws RemoteException

      Simulate a call to getDocumentFolderList
      Specified by:
        `getDocumentFolderList` in interface `IDocumentAppSoap`
      Parameters:
        `sessionId` - SOAP session id.
        `parentId` - Parent document folder id -or- project id for listing root document folder.
        `recursive` - Show subfolders of the folders returned
      Returns:
        Document folder list. Based on the input parameters the following details are returned:
        a)When project id is passed with recursive = false, the user obtains only the first matching document folders in the tree from root for which the user has persmission.

        b)When project id is passed with recursive = true, the user obtains all the document folders and descendants for which the user has permission.
        c)When a document folder id is passed with recursive = false, the first matching child folders in the tree from the passed folder for which the user has permission are retrieved.(Not the passed folder)
        d)When a document folder id is passed with recursive = true, the children folders and descendants which the user has permission are retrieved.(Not the passed folder)

      Throws:
        `com.collabnet.ce.soap60.fault.InvalidSessionFault` - when the sessionId is invalid.
        `com.collabnet.ce.soap60.fault.PermissionDeniedFault` - when permission is denied for the specified operation.
        `com.collabnet.ce.soap60.fault.NoSuchObjectFault` - when the specified object is invalid.
        `com.collabnet.ce.soap60.fault.SystemFault` - when an unexpected system error occurs.
        `RemoteException`
      See Also:
        `DocumentAppSoap.getDocumentFolderList(java.lang.String, java.lang.String, boolean)`

    - #### prepareSetDocumentFolderData

          public void prepareSetDocumentFolderData(String sessionId,
                                                   DocumentFolderSoapDO documentFolderData)

      Prepare a simulated response to setDocumentFolderData
      See Also:
        `DocumentAppSoap.setDocumentFolderData(java.lang.String, com.collabnet.ce.soap60.webservices.docman.DocumentFolderSoapDO)`

    - #### prepareSetDocumentFolderData

          public void prepareSetDocumentFolderData(String sessionId,
                                                   DocumentFolderSoapDO documentFolderData,
                                                   Exception exception)

      Prepare a simulated response to setDocumentFolderData
      See Also:
        `DocumentAppSoap.setDocumentFolderData(java.lang.String, com.collabnet.ce.soap60.webservices.docman.DocumentFolderSoapDO)`

    - #### setDocumentFolderData

          public void setDocumentFolderData(String sessionId,
                                            DocumentFolderSoapDO documentFolderData)
                                     throws RemoteException

      Simulate a call to setDocumentFolderData
      Specified by:
        `setDocumentFolderData` in interface `IDocumentAppSoap`
      Parameters:
        `sessionId` - SOAP session id.
        `documentFolderData` - Data to apply.
      Throws:
        `com.collabnet.ce.soap60.fault.InvalidSessionFault` - when the sessionId is invalid.
        `com.collabnet.ce.soap60.fault.PermissionDeniedFault` - when permission is denied for the specified operation.
        `com.collabnet.ce.soap60.fault.NoSuchObjectFault` - when the specified object id does not exist.
        `com.collabnet.ce.soap60.fault.VersionMismatchFault` - when the specified object has changed in SourceForge.
        `com.collabnet.ce.soap60.fault.SystemFault` - when an unexpected system error occurs.
        `RemoteException`
      See Also:
        `DocumentAppSoap.setDocumentFolderData(java.lang.String, com.collabnet.ce.soap60.webservices.docman.DocumentFolderSoapDO)`

    - #### prepareGetDocumentFolderData

          public void prepareGetDocumentFolderData(String sessionId,
                                                   String folderId,
                                                   Object returnValue)

      Prepare a simulated response to getDocumentFolderData
      See Also:
        `DocumentAppSoap.getDocumentFolderData(java.lang.String, java.lang.String)`

    - #### getDocumentFolderData

          public DocumentFolderSoapDO getDocumentFolderData(String sessionId,
                                                            String folderId)
                                                     throws RemoteException

      Simulate a call to getDocumentFolderData
      Specified by:
        `getDocumentFolderData` in interface `IDocumentAppSoap`
      Parameters:
        `sessionId` - SOAP session id.
        `folderId` - Folder id to get detailed data for.
      Returns:
        Document Folder data object.
      Throws:
        `com.collabnet.ce.soap60.fault.InvalidSessionFault` - when the sessionId is invalid.
        `com.collabnet.ce.soap60.fault.PermissionDeniedFault` - when permission is denied for the specified operation.
        `com.collabnet.ce.soap60.fault.NoSuchObjectFault` - when the specified object id does not exist.
        `com.collabnet.ce.soap60.fault.IllegalArgumentFault` - when an argument is invalid.
        `com.collabnet.ce.soap60.fault.SystemFault` - when an unexpected system error occurs.
        `RemoteException`
      See Also:
        `DocumentAppSoap.getDocumentFolderData(java.lang.String, java.lang.String)`

    - #### prepareGetAssignedDocumentReviewList

          public void prepareGetAssignedDocumentReviewList(String sessionId,
                                                           String username,
                                                           Object returnValue)

      Prepare a simulated response to getAssignedDocumentReviewList
      See Also:
        `DocumentAppSoap.getAssignedDocumentReviewList(java.lang.String, java.lang.String)`

    - #### getAssignedDocumentReviewList

          public DocumentReviewSoapList getAssignedDocumentReviewList(String sessionId,
                                                                      String username)
                                                               throws RemoteException

      Simulate a call to getAssignedDocumentReviewList
      Specified by:
        `getAssignedDocumentReviewList` in interface `IDocumentAppSoap`
      Parameters:
        `sessionId` - SOAP session id.
        `username` - User to whom reviews are assigned for review (required or optional).
      Returns:
        Document review list.
      Throws:
        `com.collabnet.ce.soap60.fault.InvalidSessionFault` - when sessionId is invalid.
        `com.collabnet.ce.soap60.fault.NoSuchObjectFault` - when the specified user does not exist.
        `com.collabnet.ce.soap60.fault.PermissionDeniedFault` - when permission is denied.
        `com.collabnet.ce.soap60.fault.SystemFault` - when an unexpected system error occurs.
        `RemoteException`
      See Also:
        `DocumentAppSoap.getAssignedDocumentReviewList(java.lang.String, java.lang.String)`

    - #### prepareGetDocumentReviewList

          public void prepareGetDocumentReviewList(String sessionId,
                                                   String containerId,
                                                   com.collabnet.ce.soap60.types.SoapFilter[] filters,
                                                   Object returnValue)

      Prepare a simulated response to getDocumentReviewList
      See Also:
        `DocumentAppSoap.getDocumentReviewList(java.lang.String, java.lang.String, com.collabnet.ce.soap60.types.SoapFilter[])`

    - #### getDocumentReviewList

          public DocumentReviewSoapList getDocumentReviewList(String sessionId,
                                                              String containerId,
                                                              com.collabnet.ce.soap60.types.SoapFilter[] filters)
                                                       throws RemoteException

      Simulate a call to getDocumentReviewList
      Specified by:
        `getDocumentReviewList` in interface `IDocumentAppSoap`
      Parameters:
        `sessionId` - SOAP session id.
        `containerId` - null (for reviews across projects) or document ID (for reviews associated with document).
        `filters` - Filters to apply for listing the reviews.
      Returns:
        Document review list.
      Throws:
        `com.collabnet.ce.soap60.fault.InvalidSessionFault` - when sessionId is invalid.
        `com.collabnet.ce.soap60.fault.NoSuchObjectFault` - when the document does not exist.
        `com.collabnet.ce.soap60.fault.PermissionDeniedFault` - when permission is denied.
        `com.collabnet.ce.soap60.fault.InvalidFilterFault` - when the specified filters are invalid.
        `com.collabnet.ce.soap60.fault.SystemFault` - when an unexpected system error occurs.
        `RemoteException`
      See Also:
        `DocumentAppSoap.getDocumentReviewList(java.lang.String, java.lang.String, com.collabnet.ce.soap60.types.SoapFilter[])`

    - #### prepareCreateReview

          public void prepareCreateReview(String sessionId,
                                          String documentId,
                                          int version,
                                          String title,
                                          String description,
                                          Date dueDate,
                                          String[] requiredReviewers,
                                          String[] optionalReviewers,
                                          boolean attachDocument,
                                          Object returnValue)

      Prepare a simulated response to createReview
      See Also:
        `DocumentAppSoap.createReview(java.lang.String, java.lang.String, int, java.lang.String, java.lang.String, java.util.Date, java.lang.String[], java.lang.String[], boolean)`

    - #### createReview

          public DocumentReviewSoapDO createReview(String sessionId,
                                                   String documentId,
                                                   int version,
                                                   String title,
                                                   String description,
                                                   Date dueDate,
                                                   String[] requiredReviewers,
                                                   String[] optionalReviewers,
                                                   boolean attachDocument)
                                            throws RemoteException

      Simulate a call to createReview
      Specified by:
        `createReview` in interface `IDocumentAppSoap`
      Parameters:
        `sessionId` - SOAP session id.
        `documentId` - the id of the document for which the review is to be created.
        `version` - the version of the document
        `title` - The title of the review
        `description` - The description of the review
        `dueDate` - The due date of the review
        `requiredReviewers` - an array of usernames of required reviewers
        `optionalReviewers` - an array of usernames of optional reviewers
        `attachDocument` - whether to attach the document to the email or not
      Returns:
        The data object of the review
      Throws:
        `com.collabnet.ce.soap60.fault.InvalidSessionFault` - when sessionId is invalid.
        `com.collabnet.ce.soap60.fault.NoSuchObjectFault` - when there is no document corresponding to the document Id
        `com.collabnet.ce.soap60.fault.PermissionDeniedFault` - when the user has insufficient privileges
        `com.collabnet.ce.soap60.fault.IllegalArgumentFault` - for incorrect arguments. This can happen if the required reviewers array is empty (or) if the username in either required or optional reviewers is not valid (or) a user was specified a both a required reviewer and an optional reviewer (or) The dueDate was a date in the past.
        `com.collabnet.ce.soap60.fault.ObjectAlreadyExistsFault` - if the review already exists on this document
        `com.collabnet.ce.soap60.fault.SystemFault` - when an unexpected system error occurs.
        `RemoteException`
      See Also:
        `DocumentAppSoap.createReview(java.lang.String, java.lang.String, int, java.lang.String, java.lang.String, java.util.Date, java.lang.String[], java.lang.String[], boolean)`

    - #### prepareGetDocumentList

          public void prepareGetDocumentList(String sessionId,
                                             String parentId,
                                             com.collabnet.ce.soap60.types.SoapFilter[] filters,
                                             Object returnValue)

      Prepare a simulated response to getDocumentList
      See Also:
        `DocumentAppSoap.getDocumentList(java.lang.String, java.lang.String, com.collabnet.ce.soap60.types.SoapFilter[])`

    - #### getDocumentList

          public DocumentSoapList getDocumentList(String sessionId,
                                                  String parentId,
                                                  com.collabnet.ce.soap60.types.SoapFilter[] filters)
                                           throws RemoteException

      Simulate a call to getDocumentList
      Specified by:
        `getDocumentList` in interface `IDocumentAppSoap`
      Parameters:
        `sessionId` - SOAP session id.
        `parentId` - Document folder id (obtained from getDocumentFolderList).
        `filters` - not supported.
      Returns:
        Document list.
      Throws:
        `com.collabnet.ce.soap60.fault.InvalidSessionFault` - when the sessionId is invalid.
        `com.collabnet.ce.soap60.fault.PermissionDeniedFault` - when permission is denied for the specified operation.
        `com.collabnet.ce.soap60.fault.NoSuchObjectFault` - when the specified object is invalid.
        `com.collabnet.ce.soap60.fault.SystemFault` - when an unexpected system error occurs.
        `com.collabnet.ce.soap60.fault.InvalidFilterFault` - when an invalid filter is specified.
        `RemoteException`
      See Also:
        `DocumentAppSoap.getDocumentList(java.lang.String, java.lang.String, com.collabnet.ce.soap60.types.SoapFilter[])`

    - #### prepareGetDocumentList2

          public void prepareGetDocumentList2(String sessionId,
                                              String parentId,
                                              com.collabnet.ce.soap60.types.SoapFilter[] filters,
                                              Object returnValue)

      Prepare a simulated response to getDocumentList2
      See Also:
        `DocumentAppSoap.getDocumentList2(java.lang.String, java.lang.String, com.collabnet.ce.soap60.types.SoapFilter[])`

    - #### getDocumentList2

          public Document2SoapList getDocumentList2(String sessionId,
                                                    String parentId,
                                                    com.collabnet.ce.soap60.types.SoapFilter[] filters)
                                             throws RemoteException

      Simulate a call to getDocumentList2
      Specified by:
        `getDocumentList2` in interface `IDocumentAppSoap`
      Parameters:
        `sessionId` - SOAP session id.
        `parentId` - Document folder id (obtained from getDocumentFolderList).
        `filters` - not supported.
      Returns:
        Document list.
      Throws:
        `com.collabnet.ce.soap60.fault.InvalidSessionFault` - when the sessionId is invalid.
        `com.collabnet.ce.soap60.fault.NoSuchObjectFault` - when the specified object is invalid.
        `com.collabnet.ce.soap60.fault.PermissionDeniedFault` - when permission is denied for the specified operation.
        `com.collabnet.ce.soap60.fault.InvalidFilterFault` - when an invalid filter is specified.
        `com.collabnet.ce.soap60.fault.SystemFault` - when an unexpected system error occurs.
        `RemoteException`
      See Also:
        `DocumentAppSoap.getDocumentList2(java.lang.String, java.lang.String, com.collabnet.ce.soap60.types.SoapFilter[])`

    - #### prepareGetDocumentList3

          public void prepareGetDocumentList3(String sessionId,
                                              String documentFolderId,
                                              com.collabnet.ce.soap60.types.SoapFilter[] filters,
                                              Object returnValue)

      Prepare a simulated response to getDocumentList3
      See Also:
        `DocumentAppSoap.getDocumentList3(java.lang.String, java.lang.String, com.collabnet.ce.soap60.types.SoapFilter[])`

    - #### getDocumentList3

          public Document3SoapList getDocumentList3(String sessionId,
                                                    String documentFolderId,
                                                    com.collabnet.ce.soap60.types.SoapFilter[] filters)
                                             throws RemoteException

      Simulate a call to getDocumentList3
      Specified by:
        `getDocumentList3` in interface `IDocumentAppSoap`
      Parameters:
        `sessionId` - SOAP session id.
        `documentFolderId` - Document folder id (obtained from getDocumentFolderList).
        `filters` - not supported.
      Returns:
        Document list.
      Throws:
        `com.collabnet.ce.soap60.fault.InvalidSessionFault` - when the sessionId is invalid.
        `com.collabnet.ce.soap60.fault.NoSuchObjectFault` - when the specified object is invalid.
        `com.collabnet.ce.soap60.fault.PermissionDeniedFault` - when permission is denied for the specified operation.
        `com.collabnet.ce.soap60.fault.InvalidFilterFault` - when an invalid filter is specified.
        `com.collabnet.ce.soap60.fault.SystemFault` - when an unexpected system error occurs.
        `RemoteException`
      See Also:
        `DocumentAppSoap.getDocumentList3(java.lang.String, java.lang.String, com.collabnet.ce.soap60.types.SoapFilter[])`

    - #### prepareListDocumentsDetailed

          public void prepareListDocumentsDetailed(String sessionId,
                                                   String documentFolderId,
                                                   com.collabnet.ce.soap60.types.SoapFilter[] filters,
                                                   Object returnValue)

      Prepare a simulated response to listDocumentsDetailed
      See Also:
        `DocumentAppSoap.listDocumentsDetailed(java.lang.String, java.lang.String, com.collabnet.ce.soap60.types.SoapFilter[])`

    - #### listDocumentsDetailed

          public com.vasoftware.sf.server.services.docman.DocumentDetailArrangedList listDocumentsDetailed(String sessionId,
                                                                                                           String documentFolderId,
                                                                                                           com.collabnet.ce.soap60.types.SoapFilter[] filters)
                                                                                                    throws RemoteException

      Simulate a call to listDocumentsDetailed
      Throws:
        `RemoteException`
      See Also:
        `DocumentAppSoap.listDocumentsDetailed(java.lang.String, java.lang.String, com.collabnet.ce.soap60.types.SoapFilter[])`

    - #### prepareListDocuments

          public void prepareListDocuments(String sessionId,
                                           String parentId,
                                           com.collabnet.ce.soap60.types.SoapFilter[] filters,
                                           Object returnValue)

      Prepare a simulated response to listDocuments
      See Also:
        `DocumentAppSoap.listDocuments(java.lang.String, java.lang.String, com.collabnet.ce.soap60.types.SoapFilter[])`

    - #### listDocuments

          public com.vasoftware.sf.server.services.docman.DocumentList listDocuments(String sessionId,
                                                                                     String parentId,
                                                                                     com.collabnet.ce.soap60.types.SoapFilter[] filters)
                                                                              throws RemoteException

      Simulate a call to listDocuments
      Throws:
        `RemoteException`
      See Also:
        `DocumentAppSoap.listDocuments(java.lang.String, java.lang.String, com.collabnet.ce.soap60.types.SoapFilter[])`

    - #### prepareFindDocuments

          public void prepareFindDocuments(String sessionId,
                                           String queryString,
                                           String projectId,
                                           boolean searchAttachments,
                                           boolean currentVersionsOnly,
                                           Object returnValue)

      Prepare a simulated response to findDocuments
      See Also:
        `DocumentAppSoap.findDocuments(java.lang.String, java.lang.String, java.lang.String, boolean, boolean)`

    - #### findDocuments

          public DocumentSoapList findDocuments(String sessionId,
                                                String queryString,
                                                String projectId,
                                                boolean searchAttachments,
                                                boolean currentVersionsOnly)
                                         throws RemoteException

      Simulate a call to findDocuments
      Specified by:
        `findDocuments` in interface `IDocumentAppSoap`
      Parameters:
        `sessionId` - User session id.
        `queryString` - Query string.
        `projectId` - The project in which to find documents. (if null, search all projects)
        `searchAttachments` - Whether to search attachments.
        `currentVersionsOnly` - Whether to search only current versions of documents.
      Returns:
        List of documents matching search criteria.
      Throws:
        `com.collabnet.ce.soap60.fault.InvalidSessionFault` - when the specified session id is invalid.
        `com.collabnet.ce.soap60.fault.NoSuchObjectFault` - when the specified project id is invalid.
        `com.collabnet.ce.soap60.fault.SearchQuerySyntaxFault` - when the specified search query string is syntactically invalid.
        `com.collabnet.ce.soap60.fault.SystemFault` - when an unexpected system level error occurs.
        `RemoteException`
      See Also:
        `DocumentAppSoap.findDocuments(java.lang.String, java.lang.String, java.lang.String, boolean, boolean)`

    - #### prepareFindDocuments2

          public void prepareFindDocuments2(String sessionId,
                                            String queryString,
                                            String projectId,
                                            boolean searchAttachments,
                                            boolean currentVersionsOnly,
                                            Object returnValue)

      Prepare a simulated response to findDocuments2
      See Also:
        `DocumentAppSoap.findDocuments2(java.lang.String, java.lang.String, java.lang.String, boolean, boolean)`

    - #### findDocuments2

          public Document2SoapList findDocuments2(String sessionId,
                                                  String queryString,
                                                  String projectId,
                                                  boolean searchAttachments,
                                                  boolean currentVersionsOnly)
                                           throws RemoteException

      Simulate a call to findDocuments2
      Specified by:
        `findDocuments2` in interface `IDocumentAppSoap`
      Parameters:
        `sessionId` - User session id.
        `queryString` - Query string.
        `projectId` - The project in which to find documents. (if null, search all projects)
        `searchAttachments` - Whether to search attachments.
        `currentVersionsOnly` - Whether to search only current versions of documents.
      Returns:
        List of documents matching search criteria.
      Throws:
        `com.collabnet.ce.soap60.fault.InvalidSessionFault` - when the specified session id is invalid.
        `com.collabnet.ce.soap60.fault.NoSuchObjectFault` - when the specified project id is invalid.
        `com.collabnet.ce.soap60.fault.SearchQuerySyntaxFault` - when the specified search query string is syntactically invalid.
        `com.collabnet.ce.soap60.fault.SystemFault` - when an unexpected system level error occurs.
        `RemoteException`
      See Also:
        `DocumentAppSoap.findDocuments2(java.lang.String, java.lang.String, java.lang.String, boolean, boolean)`

    - #### prepareFindDocumentsList

          public void prepareFindDocumentsList(String sessionId,
                                               String queryString,
                                               String projectId,
                                               boolean searchAttachments,
                                               boolean currentVersionsOnly,
                                               Object returnValue)

      Prepare a simulated response to findDocumentsList
      See Also:
        `DocumentAppSoap.findDocumentsList(java.lang.String, java.lang.String, java.lang.String, boolean, boolean)`

    - #### findDocumentsList

          public com.vasoftware.sf.server.services.docman.DocumentList findDocumentsList(String sessionId,
                                                                                         String queryString,
                                                                                         String projectId,
                                                                                         boolean searchAttachments,
                                                                                         boolean currentVersionsOnly)
                                                                                  throws RemoteException

      Simulate a call to findDocumentsList
      Throws:
        `RemoteException`
      See Also:
        `DocumentAppSoap.findDocumentsList(java.lang.String, java.lang.String, java.lang.String, boolean, boolean)`

    - #### prepareFindDocuments3

          public void prepareFindDocuments3(String sessionId,
                                            String queryString,
                                            String projectId,
                                            boolean searchAttachments,
                                            boolean currentVersionsOnly,
                                            Object returnValue)

      Prepare a simulated response to findDocuments3
      See Also:
        `DocumentAppSoap.findDocuments3(java.lang.String, java.lang.String, java.lang.String, boolean, boolean)`

    - #### findDocuments3

          public Document3SoapList findDocuments3(String sessionId,
                                                  String queryString,
                                                  String projectId,
                                                  boolean searchAttachments,
                                                  boolean currentVersionsOnly)
                                           throws RemoteException

      Simulate a call to findDocuments3
      Specified by:
        `findDocuments3` in interface `IDocumentAppSoap`
      Parameters:
        `sessionId` - User session id.
        `queryString` - Query string.
        `projectId` - The project in which to find documents. (if null, search all projects)
        `searchAttachments` - Whether to search attachments.
        `currentVersionsOnly` - Whether to search only current versions of documents.
      Returns:
        List of documents matching search criteria.
      Throws:
        `com.collabnet.ce.soap60.fault.InvalidSessionFault` - when the specified session id is invalid.
        `com.collabnet.ce.soap60.fault.NoSuchObjectFault` - when the specified project id is invalid.
        `com.collabnet.ce.soap60.fault.SearchQuerySyntaxFault` - when the specified search query string is syntactically invalid.
        `com.collabnet.ce.soap60.fault.SystemFault` - when an unexpected system level error occurs.
        `com.collabnet.ce.soap60.fault.IllegalArgumentFault` - when the specified query string is invalid.
        `RemoteException`
      See Also:
        `DocumentAppSoap.findDocuments3(java.lang.String, java.lang.String, java.lang.String, boolean, boolean)`

    - #### prepareFindDocumentsList2

          public void prepareFindDocumentsList2(String sessionId,
                                                String queryString,
                                                String projectId,
                                                boolean searchAttachments,
                                                boolean currentVersionsOnly,
                                                Object returnValue)

      Prepare a simulated response to findDocumentsList2
      See Also:
        `DocumentAppSoap.findDocumentsList2(java.lang.String, java.lang.String, java.lang.String, boolean, boolean)`

    - #### findDocumentsList2

          public com.vasoftware.sf.server.services.docman.DocumentList findDocumentsList2(String sessionId,
                                                                                          String queryString,
                                                                                          String projectId,
                                                                                          boolean searchAttachments,
                                                                                          boolean currentVersionsOnly)
                                                                                   throws RemoteException

      Simulate a call to findDocumentsList2
      Throws:
        `RemoteException`
      See Also:
        `DocumentAppSoap.findDocumentsList2(java.lang.String, java.lang.String, java.lang.String, boolean, boolean)`

    - #### prepareCreateDocumentFolder

          public void prepareCreateDocumentFolder(String sessionId,
                                                  String parentId,
                                                  String title,
                                                  String description,
                                                  Object returnValue)

      Prepare a simulated response to createDocumentFolder
      See Also:
        `DocumentAppSoap.createDocumentFolder(java.lang.String, java.lang.String, java.lang.String, java.lang.String)`

    - #### createDocumentFolder

          public DocumentFolderSoapDO createDocumentFolder(String sessionId,
                                                           String parentId,
                                                           String title,
                                                           String description)
                                                    throws RemoteException

      Simulate a call to createDocumentFolder
      Specified by:
        `createDocumentFolder` in interface `IDocumentAppSoap`
      Parameters:
        `sessionId` - SOAP session id.
        `parentId` - Folder id in which to create this folder.
        `title` - Document folder title.
        `description` - Document folder description.
      Returns:
        Document Folder data object.
      Throws:
        `com.collabnet.ce.soap60.fault.InvalidSessionFault` - when the sessionId is invalid.
        `com.collabnet.ce.soap60.fault.PermissionDeniedFault` - when permission is denied for the specified operation.
        `com.collabnet.ce.soap60.fault.NoSuchObjectFault` - when a specified object is invalid.
        `com.collabnet.ce.soap60.fault.IllegalArgumentFault` - when one or more of the parameters are invalid.
        `com.collabnet.ce.soap60.fault.SystemFault` - when an unexpected system error occurs.
        `com.collabnet.ce.soap60.fault.ObjectAlreadyExistsFault` - when the document folder specified already exists.
        `RemoteException`
      See Also:
        `DocumentAppSoap.createDocumentFolder(java.lang.String, java.lang.String, java.lang.String, java.lang.String)`

    - #### prepareMoveDocumentFolder

          public void prepareMoveDocumentFolder(String sessionId,
                                                String folderId,
                                                String destFolderId,
                                                Object returnValue)

      Prepare a simulated response to moveDocumentFolder
      See Also:
        `DocumentAppSoap.moveDocumentFolder(java.lang.String, java.lang.String, java.lang.String)`

    - #### moveDocumentFolder

          public DocumentFolderSoapDO moveDocumentFolder(String sessionId,
                                                         String folderId,
                                                         String destFolderId)
                                                  throws RemoteException

      Simulate a call to moveDocumentFolder
      Specified by:
        `moveDocumentFolder` in interface `IDocumentAppSoap`
      Parameters:
        `sessionId` - SOAP session id.
        `folderId` - ID of folder to move.
        `destFolderId` - ID of destination folder
      Returns:
        new document folder
      Throws:
        `com.collabnet.ce.soap60.fault.InvalidSessionFault` - sessionId is invalid
        `com.collabnet.ce.soap60.fault.PermissionDeniedFault` - permission is denied for the specified operation
        `com.collabnet.ce.soap60.fault.NoSuchObjectFault` - specified object is invalid
        `com.collabnet.ce.soap60.fault.SystemFault` - unexpected system error
        `RemoteException`
      See Also:
        `DocumentAppSoap.moveDocumentFolder(java.lang.String, java.lang.String, java.lang.String)`

    - #### prepareDeleteDocumentFolder

          public void prepareDeleteDocumentFolder(String sessionId,
                                                  String folderId)

      Prepare a simulated response to deleteDocumentFolder
      See Also:
        `DocumentAppSoap.deleteDocumentFolder(java.lang.String, java.lang.String)`

    - #### prepareDeleteDocumentFolder

          public void prepareDeleteDocumentFolder(String sessionId,
                                                  String folderId,
                                                  Exception exception)

      Prepare a simulated response to deleteDocumentFolder
      See Also:
        `DocumentAppSoap.deleteDocumentFolder(java.lang.String, java.lang.String)`

    - #### deleteDocumentFolder

          public void deleteDocumentFolder(String sessionId,
                                           String folderId)
                                    throws RemoteException

      Simulate a call to deleteDocumentFolder
      Specified by:
        `deleteDocumentFolder` in interface `IDocumentAppSoap`
      Parameters:
        `sessionId` - SOAP session id.
        `folderId` - Folder id to delete.
      Throws:
        `com.collabnet.ce.soap60.fault.InvalidSessionFault` - when the sessionId is invalid.
        `com.collabnet.ce.soap60.fault.PermissionDeniedFault` - when permission is denied for the specified operation.
        `com.collabnet.ce.soap60.fault.NoSuchObjectFault` - when the specified object is invalid
        `com.collabnet.ce.soap60.fault.SystemFault` - when an unexpected system error occurs.
        `com.collabnet.ce.soap60.fault.IllegalArgumentFault` - when one or more of the parameters are invalid.
        `com.collabnet.ce.soap60.fault.InvalidOperationFault` - when attempted to delete top-level document folder.
        `RemoteException`
      See Also:
        `DocumentAppSoap.deleteDocumentFolder(java.lang.String, java.lang.String)`

    - #### prepareCreateDocument

          public void prepareCreateDocument(String sessionId,
                                            String parentId,
                                            String title,
                                            String description,
                                            String versionComment,
                                            String status,
                                            boolean createLocked,
                                            String fileName,
                                            String mimeType,
                                            String fileId,
                                            String associationId,
                                            String associationDesc,
                                            Object returnValue)

      Prepare a simulated response to createDocument
      See Also:
        `DocumentAppSoap.createDocument(java.lang.String, java.lang.String, java.lang.String, java.lang.String, java.lang.String, java.lang.String, boolean, java.lang.String, java.lang.String, java.lang.String, java.lang.String, java.lang.String)`

    - #### createDocument

          public DocumentSoapDO createDocument(String sessionId,
                                               String parentId,
                                               String title,
                                               String description,
                                               String versionComment,
                                               String status,
                                               boolean createLocked,
                                               String fileName,
                                               String mimeType,
                                               String fileId,
                                               String associationId,
                                               String associationDesc)
                                        throws RemoteException

      Simulate a call to createDocument
      Specified by:
        `createDocument` in interface `IDocumentAppSoap`
      Parameters:
        `sessionId` - SOAP session id.
        `parentId` - Document folder id in which to create a document.
        `title` - Document title.
        `description` - Document description.
        `versionComment` - Document version comment.
        `status` - Document status.
        `createLocked` - Is document locked on create?
        `fileName` - Name of the file.
        `mimeType` - File mime type.
        `fileId` - Uploaded file id (through FileStorageApp or SimpleFileStorageApp service).
        `associationId` - The id of the object associated, can be set to null if the site is not configured to have association mandatory. The association is set only if the configuration is turned on.
        `associationDesc` - The title of the object associated
      Returns:
        Document data object.
      Throws:
        `com.collabnet.ce.soap60.fault.InvalidSessionFault` - when the sessionId is invalid.
        `com.collabnet.ce.soap60.fault.PermissionDeniedFault` - when permission is denied for the specified operation.
        `com.collabnet.ce.soap60.fault.NoSuchObjectFault` - when the specified object is invalid.
        `com.collabnet.ce.soap60.fault.IllegalArgumentFault` - when one or more of the parameters are invalid.
        `com.collabnet.ce.soap60.fault.SystemFault` - when an unexpected system error occurs.
        `com.collabnet.ce.soap60.fault.InvalidAssociationFault` - when an invalid association object is passed.
        `RemoteException`
      See Also:
        `DocumentAppSoap.createDocument(java.lang.String, java.lang.String, java.lang.String, java.lang.String, java.lang.String, java.lang.String, boolean, java.lang.String, java.lang.String, java.lang.String, java.lang.String, java.lang.String)`

    - #### prepareCreateDocument2

          public void prepareCreateDocument2(String sessionId,
                                             String parentId,
                                             String title,
                                             String description,
                                             String versionComment,
                                             String status,
                                             boolean createLocked,
                                             boolean createDownloadRestricted,
                                             boolean allowForceUnlock,
                                             String fileName,
                                             String mimeType,
                                             String fileId,
                                             String associationId,
                                             String associationDesc,
                                             Object returnValue)

      Prepare a simulated response to createDocument2
      See Also:
        `DocumentAppSoap.createDocument2(java.lang.String, java.lang.String, java.lang.String, java.lang.String, java.lang.String, java.lang.String, boolean, boolean, boolean, java.lang.String, java.lang.String, java.lang.String, java.lang.String, java.lang.String)`

    - #### createDocument2

          public Document2SoapDO createDocument2(String sessionId,
                                                 String parentId,
                                                 String title,
                                                 String description,
                                                 String versionComment,
                                                 String status,
                                                 boolean createLocked,
                                                 boolean createDownloadRestricted,
                                                 boolean allowForceUnlock,
                                                 String fileName,
                                                 String mimeType,
                                                 String fileId,
                                                 String associationId,
                                                 String associationDesc)
                                          throws RemoteException

      Simulate a call to createDocument2
      Specified by:
        `createDocument2` in interface `IDocumentAppSoap`
      Parameters:
        `sessionId` - SOAP session id.
        `parentId` - Document folder id in which to create a document.
        `title` - Document title.
        `description` - Document description.
        `versionComment` - Document version comment.
        `status` - Document status.
        `createLocked` - Is document locked on create?
        `createDownloadRestricted` - Is document download restricted on create?
        `allowForceUnlock` - Is document admin allowed to edit/download locked document?

        Note: createDownloadRestricted and allowForceUnlock can be set to true, only if createLocked is true.

        `fileName` - Name of the file.
        `mimeType` - File mime type.
        `fileId` - Uploaded file id (through FileStorageApp or SimpleFileStorageApp service).
        `associationId` - The id of the object associated, can be set to null if the site is not configured to have association mandatory. The association is set only if the configuration is turned on.
        `associationDesc` - The title of the object associated
      Returns:
        Document data object.
      Throws:
        `com.collabnet.ce.soap60.fault.InvalidSessionFault` - when the sessionId is invalid.
        `com.collabnet.ce.soap60.fault.PermissionDeniedFault` - when permission is denied for the specified operation.
        `com.collabnet.ce.soap60.fault.NoSuchObjectFault` - when the specified object is invalid.
        `com.collabnet.ce.soap60.fault.IllegalArgumentFault` - when one or more of the parameters are invalid.
        `com.collabnet.ce.soap60.fault.SystemFault` - when an unexpected system error occurs.
        `com.collabnet.ce.soap60.fault.InvalidAssociationFault` - when an invalid association object is passed.
        `RemoteException`
      See Also:
        `DocumentAppSoap.createDocument2(java.lang.String, java.lang.String, java.lang.String, java.lang.String, java.lang.String, java.lang.String, boolean, boolean, boolean, java.lang.String, java.lang.String, java.lang.String, java.lang.String, java.lang.String)`

    - #### prepareCreateDocument3

          public void prepareCreateDocument3(String sessionId,
                                             String parentId,
                                             String title,
                                             String description,
                                             String versionComment,
                                             String status,
                                             boolean createLocked,
                                             boolean createDownloadRestricted,
                                             boolean allowForceUnlock,
                                             String fileName,
                                             String mimeType,
                                             String fileId,
                                             String associationId,
                                             String associationDesc,
                                             com.collabnet.ce.soap60.types.SoapFieldValues flexFields,
                                             Object returnValue)

      Prepare a simulated response to createDocument3
      See Also:
        `DocumentAppSoap.createDocument3(java.lang.String, java.lang.String, java.lang.String, java.lang.String, java.lang.String, java.lang.String, boolean, boolean, boolean, java.lang.String, java.lang.String, java.lang.String, java.lang.String, java.lang.String, com.collabnet.ce.soap60.types.SoapFieldValues)`

    - #### createDocument3

          public Document3SoapDO createDocument3(String sessionId,
                                                 String parentId,
                                                 String title,
                                                 String description,
                                                 String versionComment,
                                                 String status,
                                                 boolean createLocked,
                                                 boolean createDownloadRestricted,
                                                 boolean allowForceUnlock,
                                                 String fileName,
                                                 String mimeType,
                                                 String fileId,
                                                 String associationId,
                                                 String associationDesc,
                                                 com.collabnet.ce.soap60.types.SoapFieldValues flexFields)
                                          throws RemoteException

      Simulate a call to createDocument3
      Specified by:
        `createDocument3` in interface `IDocumentAppSoap`
      Parameters:
        `sessionId` - SOAP session id.
        `parentId` - Document folder id in which to create a document.
        `title` - Document title.
        `description` - Document description.
        `versionComment` - Document version comment.
        `status` - Document status.
        `createLocked` - Is document locked on create?
        `createDownloadRestricted` - Is document download restricted on create?
        `allowForceUnlock` - Is document admin allowed to edit/download locked document?

        Note: createDownloadRestricted and allowForceUnlock can be set to true, only if createLocked is true.

        `fileName` - Name of the file.
        `mimeType` - File mime type.
        `fileId` - Uploaded file id (through FileStorageApp or SimpleFileStorageApp service).
        `associationId` - The id of the object associated, can be set to null if the site is not configured to have association mandatory. The association is set only if the configuration is turned on.
        `associationDesc` - The title of the object associated
        `flexFields` - Flex field values
      Returns:
        Document data object.
      Throws:
        `com.collabnet.ce.soap60.fault.InvalidSessionFault` - when the sessionId is invalid.
        `com.collabnet.ce.soap60.fault.PermissionDeniedFault` - when permission is denied for the specified operation.
        `com.collabnet.ce.soap60.fault.NoSuchObjectFault` - when the specified object is invalid.
        `com.collabnet.ce.soap60.fault.IllegalArgumentFault` - when one or more of the parameters are invalid.
        `com.collabnet.ce.soap60.fault.SystemFault` - when an unexpected system error occurs.
        `com.collabnet.ce.soap60.fault.InvalidAssociationFault` - when an invalid association object is passed.
        `com.collabnet.ce.soap60.fault.WorkflowViolationFault` - when the workflow is violated.
        `RemoteException`
      See Also:
        `DocumentAppSoap.createDocument3(java.lang.String, java.lang.String, java.lang.String, java.lang.String, java.lang.String, java.lang.String, boolean, boolean, boolean, java.lang.String, java.lang.String, java.lang.String, java.lang.String, java.lang.String, com.collabnet.ce.soap60.types.SoapFieldValues)`

    - #### prepareCreateDocument

          public void prepareCreateDocument(String sessionId,
                                            String parentId,
                                            String title,
                                            String description,
                                            String versionComment,
                                            String status,
                                            boolean createLocked,
                                            boolean createDownloadRestricted,
                                            boolean allowForceUnlock,
                                            String fileName,
                                            String mimeType,
                                            String fileId,
                                            String associationId,
                                            String associationDesc,
                                            com.collabnet.ce.soap60.types.SoapFieldValues flexFields,
                                            Object returnValue)

      Prepare a simulated response to createDocument
      See Also:
        `DocumentAppSoap.createDocument(java.lang.String, java.lang.String, java.lang.String, java.lang.String, java.lang.String, java.lang.String, boolean, java.lang.String, java.lang.String, java.lang.String, java.lang.String, java.lang.String)`

    - #### createDocument

          public com.vasoftware.sf.server.services.docman.DocumentDO createDocument(String sessionId,
                                                                                    String parentId,
                                                                                    String title,
                                                                                    String description,
                                                                                    String versionComment,
                                                                                    String status,
                                                                                    boolean createLocked,
                                                                                    boolean createDownloadRestricted,
                                                                                    boolean allowForceUnlock,
                                                                                    String fileName,
                                                                                    String mimeType,
                                                                                    String fileId,
                                                                                    String associationId,
                                                                                    String associationDesc,
                                                                                    com.collabnet.ce.soap60.types.SoapFieldValues flexFields)
                                                                             throws RemoteException

      Simulate a call to createDocument
      Throws:
        `RemoteException`
      See Also:
        `DocumentAppSoap.createDocument(java.lang.String, java.lang.String, java.lang.String, java.lang.String, java.lang.String, java.lang.String, boolean, java.lang.String, java.lang.String, java.lang.String, java.lang.String, java.lang.String)`

    - #### prepareCreateDocumentWithUrl

          public void prepareCreateDocumentWithUrl(String sessionId,
                                                   String parentId,
                                                   String title,
                                                   String description,
                                                   String versionComment,
                                                   String status,
                                                   boolean createLocked,
                                                   String fileUrl,
                                                   String associationId,
                                                   String associationDesc,
                                                   Object returnValue)

      Prepare a simulated response to createDocumentWithUrl
      See Also:
        `DocumentAppSoap.createDocumentWithUrl(java.lang.String, java.lang.String, java.lang.String, java.lang.String, java.lang.String, java.lang.String, boolean, java.lang.String, java.lang.String, java.lang.String)`

    - #### createDocumentWithUrl

          public DocumentSoapDO createDocumentWithUrl(String sessionId,
                                                      String parentId,
                                                      String title,
                                                      String description,
                                                      String versionComment,
                                                      String status,
                                                      boolean createLocked,
                                                      String fileUrl,
                                                      String associationId,
                                                      String associationDesc)
                                               throws RemoteException

      Simulate a call to createDocumentWithUrl
      Specified by:
        `createDocumentWithUrl` in interface `IDocumentAppSoap`
      Parameters:
        `sessionId` - SOAP session id.
        `parentId` - Document folder id in which to create a document.
        `title` - Document title.
        `description` - Document description.
        `versionComment` - Document version comment.
        `status` - Document status.
        `createLocked` - Is document locked on create?
        `fileUrl` - the file URL of the document
        `associationId` - id of the object to be associated, can be set to null if the site is not configured to have association mandatory. The association is set only if the configuration is turned on.
        `associationDesc` - association comment
      Returns:
        Document data object.
      Throws:
        `com.collabnet.ce.soap60.fault.InvalidSessionFault` - when the sessionId is invalid.
        `com.collabnet.ce.soap60.fault.PermissionDeniedFault` - when permission is denied for the specified operation.
        `com.collabnet.ce.soap60.fault.NoSuchObjectFault` - when the specified object is invalid.
        `com.collabnet.ce.soap60.fault.IllegalArgumentFault` - when one or more of the parameters are invalid.
        `com.collabnet.ce.soap60.fault.SystemFault` - when an unexpected system error occurs.
        `com.collabnet.ce.soap60.fault.InvalidDocumentContentFault` - Only one of fileKey or fileUrl should be set. This failed
        `com.collabnet.ce.soap60.fault.InvalidAssociationFault` - when an invalid association object is passed.
        `RemoteException`
      See Also:
        `DocumentAppSoap.createDocumentWithUrl(java.lang.String, java.lang.String, java.lang.String, java.lang.String, java.lang.String, java.lang.String, boolean, java.lang.String, java.lang.String, java.lang.String)`

    - #### prepareCreateDocumentWithUrl2

          public void prepareCreateDocumentWithUrl2(String sessionId,
                                                    String parentId,
                                                    String title,
                                                    String description,
                                                    String versionComment,
                                                    String status,
                                                    boolean createLocked,
                                                    boolean createDownloadRestricted,
                                                    boolean allowForceUnlock,
                                                    String fileUrl,
                                                    String associationId,
                                                    String associationDesc,
                                                    Object returnValue)

      Prepare a simulated response to createDocumentWithUrl2
      See Also:
        `DocumentAppSoap.createDocumentWithUrl2(java.lang.String, java.lang.String, java.lang.String, java.lang.String, java.lang.String, java.lang.String, boolean, boolean, boolean, java.lang.String, java.lang.String, java.lang.String)`

    - #### createDocumentWithUrl2

          public Document2SoapDO createDocumentWithUrl2(String sessionId,
                                                        String parentId,
                                                        String title,
                                                        String description,
                                                        String versionComment,
                                                        String status,
                                                        boolean createLocked,
                                                        boolean createDownloadRestricted,
                                                        boolean allowForceUnlock,
                                                        String fileUrl,
                                                        String associationId,
                                                        String associationDesc)
                                                 throws RemoteException

      Simulate a call to createDocumentWithUrl2
      Specified by:
        `createDocumentWithUrl2` in interface `IDocumentAppSoap`
      Parameters:
        `sessionId` - SOAP session id.
        `parentId` - Document folder id in which to create a document.
        `title` - Document title.
        `description` - Document description.
        `versionComment` - Document version comment.
        `status` - Document status.
        `createLocked` - Is document locked on create?
        `createDownloadRestricted` - Is document download restricted on create?
        `allowForceUnlock` - Is document admin allowed to edit/download locked document?

        Note: createDownloadRestricted and allowForceUnlock can be set to true, only if createLocked is true.

        `fileUrl` - the file URL of the document
        `associationId` - id of the object to be associated, can be set to null if the site is not configured to have association mandatory. The association is set only if the configuration is turned on.
        `associationDesc` - association comment
      Returns:
        Document data object.
      Throws:
        `com.collabnet.ce.soap60.fault.InvalidSessionFault` - when the sessionId is invalid.
        `com.collabnet.ce.soap60.fault.PermissionDeniedFault` - when permission is denied for the specified operation.
        `com.collabnet.ce.soap60.fault.NoSuchObjectFault` - when the specified object is invalid.
        `com.collabnet.ce.soap60.fault.IllegalArgumentFault` - when one or more of the parameters are invalid.
        `com.collabnet.ce.soap60.fault.SystemFault` - when an unexpected system error occurs.
        `com.collabnet.ce.soap60.fault.InvalidDocumentContentFault` - Only one of fileKey or fileUrl should be set. This failed
        `com.collabnet.ce.soap60.fault.InvalidAssociationFault` - when an invalid association object is passed.
        `RemoteException`
      See Also:
        `DocumentAppSoap.createDocumentWithUrl2(java.lang.String, java.lang.String, java.lang.String, java.lang.String, java.lang.String, java.lang.String, boolean, boolean, boolean, java.lang.String, java.lang.String, java.lang.String)`

    - #### prepareCreateDocumentWithUrl3

          public void prepareCreateDocumentWithUrl3(String sessionId,
                                                    String parentId,
                                                    String title,
                                                    String description,
                                                    String versionComment,
                                                    String status,
                                                    boolean createLocked,
                                                    boolean createDownloadRestricted,
                                                    boolean allowForceUnlock,
                                                    String fileUrl,
                                                    String associationId,
                                                    String associationDesc,
                                                    com.collabnet.ce.soap60.types.SoapFieldValues flexFields,
                                                    Object returnValue)

      Prepare a simulated response to createDocumentWithUrl3
      See Also:
        `DocumentAppSoap.createDocumentWithUrl3(java.lang.String, java.lang.String, java.lang.String, java.lang.String, java.lang.String, java.lang.String, boolean, boolean, boolean, java.lang.String, java.lang.String, java.lang.String, com.collabnet.ce.soap60.types.SoapFieldValues)`

    - #### createDocumentWithUrl3

          public Document3SoapDO createDocumentWithUrl3(String sessionId,
                                                        String parentId,
                                                        String title,
                                                        String description,
                                                        String versionComment,
                                                        String status,
                                                        boolean createLocked,
                                                        boolean createDownloadRestricted,
                                                        boolean allowForceUnlock,
                                                        String fileUrl,
                                                        String associationId,
                                                        String associationDesc,
                                                        com.collabnet.ce.soap60.types.SoapFieldValues flexFields)
                                                 throws RemoteException

      Simulate a call to createDocumentWithUrl3
      Specified by:
        `createDocumentWithUrl3` in interface `IDocumentAppSoap`
      Parameters:
        `sessionId` - SOAP session id.
        `parentId` - Document folder id in which to create a document.
        `title` - Document title.
        `description` - Document description.
        `versionComment` - Document version comment.
        `status` - Document status.
        `createLocked` - Is document locked on create?
        `createDownloadRestricted` - Is document download restricted on create?
        `allowForceUnlock` - Is document admin allowed to edit/download locked document?

        Note: createDownloadRestricted and allowForceUnlock can be set to true, only if createLocked is true.

        `fileUrl` - the file URL of the document
        `associationId` - id of the object to be associated, can be set to null if the site is not configured to have association mandatory. The association is set only if the configuration is turned on.
        `associationDesc` - association comment
        `flexFields` - Flex field values
      Returns:
        Document data object.
      Throws:
        `com.collabnet.ce.soap60.fault.InvalidSessionFault` - when the sessionId is invalid.
        `com.collabnet.ce.soap60.fault.PermissionDeniedFault` - when permission is denied for the specified operation.
        `com.collabnet.ce.soap60.fault.NoSuchObjectFault` - when the specified object is invalid.
        `com.collabnet.ce.soap60.fault.IllegalArgumentFault` - when one or more of the parameters are invalid.
        `com.collabnet.ce.soap60.fault.SystemFault` - when an unexpected system error occurs.
        `com.collabnet.ce.soap60.fault.InvalidDocumentContentFault` - Only one of fileKey or fileUrl should be set. This failed
        `com.collabnet.ce.soap60.fault.InvalidAssociationFault` - when an invalid association object is passed.
        `com.collabnet.ce.soap60.fault.WorkflowViolationFault` - when the workflow is violated.
        `RemoteException`
      See Also:
        `DocumentAppSoap.createDocumentWithUrl3(java.lang.String, java.lang.String, java.lang.String, java.lang.String, java.lang.String, java.lang.String, boolean, boolean, boolean, java.lang.String, java.lang.String, java.lang.String, com.collabnet.ce.soap60.types.SoapFieldValues)`

    - #### prepareCreateDocumentWithUrl

          public void prepareCreateDocumentWithUrl(String sessionId,
                                                   String parentId,
                                                   String title,
                                                   String description,
                                                   String versionComment,
                                                   String status,
                                                   boolean createLocked,
                                                   boolean createDownloadRestricted,
                                                   boolean allowForceUnlock,
                                                   String fileUrl,
                                                   String associationId,
                                                   String associationDesc,
                                                   com.collabnet.ce.soap60.types.SoapFieldValues flexFields,
                                                   Object returnValue)

      Prepare a simulated response to createDocumentWithUrl
      See Also:
        `DocumentAppSoap.createDocumentWithUrl(java.lang.String, java.lang.String, java.lang.String, java.lang.String, java.lang.String, java.lang.String, boolean, java.lang.String, java.lang.String, java.lang.String)`

    - #### createDocumentWithUrl

          public com.vasoftware.sf.server.services.docman.DocumentDO createDocumentWithUrl(String sessionId,
                                                                                           String parentId,
                                                                                           String title,
                                                                                           String description,
                                                                                           String versionComment,
                                                                                           String status,
                                                                                           boolean createLocked,
                                                                                           boolean createDownloadRestricted,
                                                                                           boolean allowForceUnlock,
                                                                                           String fileUrl,
                                                                                           String associationId,
                                                                                           String associationDesc,
                                                                                           com.collabnet.ce.soap60.types.SoapFieldValues flexFields)
                                                                                    throws RemoteException

      Simulate a call to createDocumentWithUrl
      Throws:
        `RemoteException`
      See Also:
        `DocumentAppSoap.createDocumentWithUrl(java.lang.String, java.lang.String, java.lang.String, java.lang.String, java.lang.String, java.lang.String, boolean, java.lang.String, java.lang.String, java.lang.String)`

    - #### prepareGetVersionStatus

          public void prepareGetVersionStatus(String projectPath,
                                              String status,
                                              com.vasoftware.sf.server.types.UserSessionKey sessionKey,
                                              Object returnValue)

      Prepare a simulated response to getVersionStatus
      See Also:
        `DocumentAppSoap.getVersionStatus(java.lang.String, java.lang.String, com.vasoftware.sf.server.types.UserSessionKey)`

    - #### getVersionStatus

          public String getVersionStatus(String projectPath,
                                         String status,
                                         com.vasoftware.sf.server.types.UserSessionKey sessionKey)
                                  throws RemoteException

      Simulate a call to getVersionStatus
      Throws:
        `RemoteException`
      See Also:
        `DocumentAppSoap.getVersionStatus(java.lang.String, java.lang.String, com.vasoftware.sf.server.types.UserSessionKey)`

    - #### prepareGetValidStatus

          public void prepareGetValidStatus(String projectPath,
                                            String soapStatus,
                                            String rmiStatus,
                                            com.vasoftware.sf.server.types.UserSessionKey sessionKey,
                                            Object returnValue)

      Prepare a simulated response to getValidStatus
      See Also:
        `DocumentAppSoap.getValidStatus(java.lang.String, java.lang.String, java.lang.String, com.vasoftware.sf.server.types.UserSessionKey)`

    - #### getValidStatus

          public String getValidStatus(String projectPath,
                                       String soapStatus,
                                       String rmiStatus,
                                       com.vasoftware.sf.server.types.UserSessionKey sessionKey)
                                throws RemoteException

      Simulate a call to getValidStatus
      Throws:
        `RemoteException`
      See Also:
        `DocumentAppSoap.getValidStatus(java.lang.String, java.lang.String, java.lang.String, com.vasoftware.sf.server.types.UserSessionKey)`

    - #### prepareMoveDocument

          public void prepareMoveDocument(String sessionId,
                                          String documentId,
                                          String targetFolderId,
                                          Object returnValue)

      Prepare a simulated response to moveDocument
      See Also:
        `DocumentAppSoap.moveDocument(java.lang.String, java.lang.String, java.lang.String)`

    - #### moveDocument

          public DocumentSoapDO moveDocument(String sessionId,
                                             String documentId,
                                             String targetFolderId)
                                      throws RemoteException

      Simulate a call to moveDocument
      Specified by:
        `moveDocument` in interface `IDocumentAppSoap`
      Parameters:
        `sessionId` - User session id.
        `documentId` - ID of document to move.
        `targetFolderId` - Target folder ID.
      Returns:
        New document object.
      Throws:
        `com.collabnet.ce.soap60.fault.InvalidSessionFault` - when the sessionId is invalid.
        `com.collabnet.ce.soap60.fault.PermissionDeniedFault` - when permission is denied for the specified operation.
        `com.collabnet.ce.soap60.fault.NoSuchObjectFault` - when the specified object is invalid.
        `com.collabnet.ce.soap60.fault.SystemFault` - when an unexpected system error occurs.
        `RemoteException`
      See Also:
        `DocumentAppSoap.moveDocument(java.lang.String, java.lang.String, java.lang.String)`

    - #### prepareMoveDocument2

          public void prepareMoveDocument2(String sessionId,
                                           String documentId,
                                           String targetFolderId,
                                           Object returnValue)

      Prepare a simulated response to moveDocument2
      See Also:
        `DocumentAppSoap.moveDocument2(java.lang.String, java.lang.String, java.lang.String)`

    - #### moveDocument2

          public Document2SoapDO moveDocument2(String sessionId,
                                               String documentId,
                                               String targetFolderId)
                                        throws RemoteException

      Simulate a call to moveDocument2
      Specified by:
        `moveDocument2` in interface `IDocumentAppSoap`
      Parameters:
        `sessionId` - User session id.
        `documentId` - ID of document to move.
        `targetFolderId` - Target folder ID.
      Returns:
        New document object.
      Throws:
        `com.collabnet.ce.soap60.fault.InvalidSessionFault` - when the sessionId is invalid.
        `com.collabnet.ce.soap60.fault.NoSuchObjectFault` - when the specified object is invalid.
        `com.collabnet.ce.soap60.fault.PermissionDeniedFault` - when permission is denied for the specified operation.
        `com.collabnet.ce.soap60.fault.SystemFault` - when an unexpected system error occurs.
        `RemoteException`
      See Also:
        `DocumentAppSoap.moveDocument2(java.lang.String, java.lang.String, java.lang.String)`

    - #### prepareMoveDocument3

          public void prepareMoveDocument3(String sessionId,
                                           String documentId,
                                           String targetFolderId,
                                           Object returnValue)

      Prepare a simulated response to moveDocument3
      See Also:
        `DocumentAppSoap.moveDocument3(java.lang.String, java.lang.String, java.lang.String)`

    - #### moveDocument3

          public Document3SoapDO moveDocument3(String sessionId,
                                               String documentId,
                                               String targetFolderId)
                                        throws RemoteException

      Simulate a call to moveDocument3
      Specified by:
        `moveDocument3` in interface `IDocumentAppSoap`
      Parameters:
        `sessionId` - User session id.
        `documentId` - ID of document to move.
        `targetFolderId` - Target folder ID.
      Returns:
        New document object.
      Throws:
        `com.collabnet.ce.soap60.fault.InvalidSessionFault` - when the sessionId is invalid.
        `com.collabnet.ce.soap60.fault.NoSuchObjectFault` - when the specified object is invalid.
        `com.collabnet.ce.soap60.fault.PermissionDeniedFault` - when permission is denied for the specified operation.
        `com.collabnet.ce.soap60.fault.SystemFault` - when an unexpected system error occurs.
        `com.collabnet.ce.soap60.fault.IllegalArgumentFault` - when one or more of the parameters are invalid.
        `RemoteException`
      See Also:
        `DocumentAppSoap.moveDocument3(java.lang.String, java.lang.String, java.lang.String)`

    - #### prepareMoveDoc

          public void prepareMoveDoc(String sessionId,
                                     com.vasoftware.sf.server.types.ItemPath documentPath,
                                     com.vasoftware.sf.server.types.FolderPath targetFolderPath,
                                     String loggedInUser,
                                     Object returnValue)

      Prepare a simulated response to moveDoc
      See Also:
        `DocumentAppSoap.moveDoc(java.lang.String, com.vasoftware.sf.server.types.ItemPath, com.vasoftware.sf.server.types.FolderPath, java.lang.String)`

    - #### moveDoc

          public com.vasoftware.sf.server.services.docman.DocumentDO moveDoc(String sessionId,
                                                                             com.vasoftware.sf.server.types.ItemPath documentPath,
                                                                             com.vasoftware.sf.server.types.FolderPath targetFolderPath,
                                                                             String loggedInUser)
                                                                      throws RemoteException

      Simulate a call to moveDoc
      Throws:
        `RemoteException`
      See Also:
        `DocumentAppSoap.moveDoc(java.lang.String, com.vasoftware.sf.server.types.ItemPath, com.vasoftware.sf.server.types.FolderPath, java.lang.String)`

    - #### prepareDeleteDocument

          public void prepareDeleteDocument(String sessionId,
                                            String documentId)

      Prepare a simulated response to deleteDocument
      See Also:
        `DocumentAppSoap.deleteDocument(java.lang.String, java.lang.String)`

    - #### prepareDeleteDocument

          public void prepareDeleteDocument(String sessionId,
                                            String documentId,
                                            Exception exception)

      Prepare a simulated response to deleteDocument
      See Also:
        `DocumentAppSoap.deleteDocument(java.lang.String, java.lang.String)`

    - #### deleteDocument

          public void deleteDocument(String sessionId,
                                     String documentId)
                              throws RemoteException

      Simulate a call to deleteDocument
      Specified by:
        `deleteDocument` in interface `IDocumentAppSoap`
      Parameters:
        `sessionId` - User session id.
        `documentId` - Document id.
      Throws:
        `com.collabnet.ce.soap60.fault.InvalidSessionFault` - when the sessionId is invalid.
        `com.collabnet.ce.soap60.fault.PermissionDeniedFault` - when permission is denied for the specified operation.
        `com.collabnet.ce.soap60.fault.NoSuchObjectFault` - when the specified object is invalid.
        `com.collabnet.ce.soap60.fault.SystemFault` - when an unexpected system error occurs.
        `RemoteException`
      See Also:
        `DocumentAppSoap.deleteDocument(java.lang.String, java.lang.String)`

    - #### prepareGetDocumentData

          public void prepareGetDocumentData(String sessionId,
                                             String documentId,
                                             int documentVersion,
                                             Object returnValue)

      Prepare a simulated response to getDocumentData
      See Also:
        `DocumentAppSoap.getDocumentData(java.lang.String, java.lang.String, int)`

    - #### getDocumentData

          public DocumentSoapDO getDocumentData(String sessionId,
                                                String documentId,
                                                int documentVersion)
                                         throws RemoteException

      Simulate a call to getDocumentData
      Specified by:
        `getDocumentData` in interface `IDocumentAppSoap`
      Parameters:
        `sessionId` - User session id.
        `documentId` - Document id.
        `documentVersion` - Document version number (specify zero for current version).
      Returns:
        Document data object.
      Throws:
        `com.collabnet.ce.soap60.fault.InvalidSessionFault` - when the sessionId is invalid.
        `com.collabnet.ce.soap60.fault.PermissionDeniedFault` - when permission is denied for the specified operation.
        `com.collabnet.ce.soap60.fault.NoSuchObjectFault` - when the specified object is invalid.
        `com.collabnet.ce.soap60.fault.NoSuchVersionFault` - when the specified version is invalid.
        `com.collabnet.ce.soap60.fault.SystemFault` - when an unexpected system error occurs.
        `RemoteException`
      See Also:
        `DocumentAppSoap.getDocumentData(java.lang.String, java.lang.String, int)`

    - #### prepareGetDocumentData2

          public void prepareGetDocumentData2(String sessionId,
                                              String documentId,
                                              int documentVersion,
                                              Object returnValue)

      Prepare a simulated response to getDocumentData2
      See Also:
        `DocumentAppSoap.getDocumentData2(java.lang.String, java.lang.String, int)`

    - #### getDocumentData2

          public Document2SoapDO getDocumentData2(String sessionId,
                                                  String documentId,
                                                  int documentVersion)
                                           throws RemoteException

      Simulate a call to getDocumentData2
      Specified by:
        `getDocumentData2` in interface `IDocumentAppSoap`
      Parameters:
        `sessionId` - User session id.
        `documentId` - Document id.
        `documentVersion` - Document version number (specify zero for current version).
      Returns:
        Document data object.
      Throws:
        `com.collabnet.ce.soap60.fault.InvalidSessionFault` - when the sessionId is invalid.
        `com.collabnet.ce.soap60.fault.NoSuchObjectFault` - when the specified object is invalid.
        `com.collabnet.ce.soap60.fault.NoSuchVersionFault` - when the specified version is invalid.
        `com.collabnet.ce.soap60.fault.PermissionDeniedFault` - when permission is denied for the specified operation.
        `com.collabnet.ce.soap60.fault.SystemFault` - when an unexpected system error occurs.
        `RemoteException`
      See Also:
        `DocumentAppSoap.getDocumentData2(java.lang.String, java.lang.String, int)`

    - #### prepareGetDocumentData3

          public void prepareGetDocumentData3(String sessionId,
                                              String documentId,
                                              int documentVersion,
                                              Object returnValue)

      Prepare a simulated response to getDocumentData3
      See Also:
        `DocumentAppSoap.getDocumentData3(java.lang.String, java.lang.String, int)`

    - #### getDocumentData3

          public Document3SoapDO getDocumentData3(String sessionId,
                                                  String documentId,
                                                  int documentVersion)
                                           throws RemoteException

      Simulate a call to getDocumentData3
      Specified by:
        `getDocumentData3` in interface `IDocumentAppSoap`
      Parameters:
        `sessionId` - User session id.
        `documentId` - Document id.
        `documentVersion` - Document version number (specify zero for current version).
      Returns:
        Document data object.
      Throws:
        `com.collabnet.ce.soap60.fault.InvalidSessionFault` - when the sessionId is invalid.
        `com.collabnet.ce.soap60.fault.NoSuchObjectFault` - when the specified object is invalid.
        `com.collabnet.ce.soap60.fault.NoSuchVersionFault` - when the specified version is invalid.
        `com.collabnet.ce.soap60.fault.PermissionDeniedFault` - when permission is denied for the specified operation.
        `com.collabnet.ce.soap60.fault.SystemFault` - when an unexpected system error occurs.
        `RemoteException`
      See Also:
        `DocumentAppSoap.getDocumentData3(java.lang.String, java.lang.String, int)`

    - #### prepareSetDocumentData

          public void prepareSetDocumentData(String sessionId,
                                             DocumentSoapDO documentData,
                                             String fileId)

      Prepare a simulated response to setDocumentData
      See Also:
        `DocumentAppSoap.setDocumentData(java.lang.String, com.collabnet.ce.soap60.webservices.docman.DocumentSoapDO, java.lang.String)`

    - #### prepareSetDocumentData

          public void prepareSetDocumentData(String sessionId,
                                             DocumentSoapDO documentData,
                                             String fileId,
                                             Exception exception)

      Prepare a simulated response to setDocumentData
      See Also:
        `DocumentAppSoap.setDocumentData(java.lang.String, com.collabnet.ce.soap60.webservices.docman.DocumentSoapDO, java.lang.String)`

    - #### setDocumentData

          public void setDocumentData(String sessionId,
                                      DocumentSoapDO documentData,
                                      String fileId)
                               throws RemoteException

      Simulate a call to setDocumentData
      Specified by:
        `setDocumentData` in interface `IDocumentAppSoap`
      Parameters:
        `sessionId` - User session id.
        `documentData` - Document data object.
        `fileId` - Uploaded file id (through FileStorageApp or SimpleFileStorageApp service).
      Throws:
        `com.collabnet.ce.soap60.fault.InvalidSessionFault` - when the sessionId is invalid.
        `com.collabnet.ce.soap60.fault.NoSuchObjectFault` - when the specified object is invalid.
        `com.collabnet.ce.soap60.fault.PermissionDeniedFault` - when permission is denied for the specified operation.
        `com.collabnet.ce.soap60.fault.IllegalArgumentFault` - when document data information is invalid.
        `com.collabnet.ce.soap60.fault.VersionMismatchFault` - when document data is stale.
        `com.collabnet.ce.soap60.fault.SystemFault` - when an unexpected system error occurs.
        `com.collabnet.ce.soap60.fault.InvalidDocumentContentFault` - Only one of fileKey or fileUrl should be set. This failed
        `RemoteException`
      See Also:
        `DocumentAppSoap.setDocumentData(java.lang.String, com.collabnet.ce.soap60.webservices.docman.DocumentSoapDO, java.lang.String)`

    - #### prepareSetDocumentData2

          public void prepareSetDocumentData2(String sessionId,
                                              Document2SoapDO documentData,
                                              String fileId)

      Prepare a simulated response to setDocumentData2
      See Also:
        `DocumentAppSoap.setDocumentData2(java.lang.String, com.collabnet.ce.soap60.webservices.docman.Document2SoapDO, java.lang.String)`

    - #### prepareSetDocumentData2

          public void prepareSetDocumentData2(String sessionId,
                                              Document2SoapDO documentData,
                                              String fileId,
                                              Exception exception)

      Prepare a simulated response to setDocumentData2
      See Also:
        `DocumentAppSoap.setDocumentData2(java.lang.String, com.collabnet.ce.soap60.webservices.docman.Document2SoapDO, java.lang.String)`

    - #### setDocumentData2

          public void setDocumentData2(String sessionId,
                                       Document2SoapDO documentData,
                                       String fileId)
                                throws RemoteException

      Simulate a call to setDocumentData2
      Specified by:
        `setDocumentData2` in interface `IDocumentAppSoap`
      Parameters:
        `sessionId` - User session id.
        `documentData` - Document data object.
        `fileId` - Uploaded file id (through FileStorageApp or SimpleFileStorageApp service).
      Throws:
        `com.collabnet.ce.soap60.fault.InvalidSessionFault` - when the sessionId is invalid.
        `com.collabnet.ce.soap60.fault.NoSuchObjectFault` - when the specified object is invalid.
        `com.collabnet.ce.soap60.fault.PermissionDeniedFault` - when permission is denied for the specified operation.
        `com.collabnet.ce.soap60.fault.IllegalArgumentFault` - when document data information is invalid.
        `com.collabnet.ce.soap60.fault.VersionMismatchFault` - when document data is stale.
        `com.collabnet.ce.soap60.fault.SystemFault` - when an unexpected system error occurs.
        `com.collabnet.ce.soap60.fault.InvalidDocumentContentFault` - Only one of fileKey or fileUrl should be set. This failed
        `RemoteException`
      See Also:
        `DocumentAppSoap.setDocumentData2(java.lang.String, com.collabnet.ce.soap60.webservices.docman.Document2SoapDO, java.lang.String)`

    - #### prepareSetDocumentData3

          public void prepareSetDocumentData3(String sessionId,
                                              Document3SoapDO documentData,
                                              String fileId)

      Prepare a simulated response to setDocumentData3
      See Also:
        `DocumentAppSoap.setDocumentData3(java.lang.String, com.collabnet.ce.soap60.webservices.docman.Document3SoapDO, java.lang.String)`

    - #### prepareSetDocumentData3

          public void prepareSetDocumentData3(String sessionId,
                                              Document3SoapDO documentData,
                                              String fileId,
                                              Exception exception)

      Prepare a simulated response to setDocumentData3
      See Also:
        `DocumentAppSoap.setDocumentData3(java.lang.String, com.collabnet.ce.soap60.webservices.docman.Document3SoapDO, java.lang.String)`

    - #### setDocumentData3

          public void setDocumentData3(String sessionId,
                                       Document3SoapDO documentData,
                                       String fileId)
                                throws RemoteException

      Simulate a call to setDocumentData3
      Specified by:
        `setDocumentData3` in interface `IDocumentAppSoap`
      Parameters:
        `sessionId` - User session id.
        `documentData` - Document data object.
        `fileId` - Uploaded file id (through FileStorageApp or SimpleFileStorageApp service).
      Throws:
        `com.collabnet.ce.soap60.fault.InvalidSessionFault` - when the sessionId is invalid.
        `com.collabnet.ce.soap60.fault.NoSuchObjectFault` - when the specified object is invalid.
        `com.collabnet.ce.soap60.fault.PermissionDeniedFault` - when permission is denied for the specified operation.
        `com.collabnet.ce.soap60.fault.IllegalArgumentFault` - when document data information is invalid.
        `com.collabnet.ce.soap60.fault.VersionMismatchFault` - when document data is stale.
        `com.collabnet.ce.soap60.fault.SystemFault` - when an unexpected system error occurs.
        `com.collabnet.ce.soap60.fault.InvalidDocumentContentFault` - Only one of fileKey or fileUrl should be set. This failed
        `com.collabnet.ce.soap60.fault.WorkflowViolationFault` - when the workflow is violated
        `RemoteException`
      See Also:
        `DocumentAppSoap.setDocumentData3(java.lang.String, com.collabnet.ce.soap60.webservices.docman.Document3SoapDO, java.lang.String)`

    - #### prepareSetDocumentData

          public void prepareSetDocumentData(com.vasoftware.sf.server.services.docman.DocumentDO documentDO,
                                             String fileId,
                                             String loggedInUser,
                                             Set tagIds)

      Prepare a simulated response to setDocumentData
      See Also:
        `DocumentAppSoap.setDocumentData(java.lang.String, com.collabnet.ce.soap60.webservices.docman.DocumentSoapDO, java.lang.String)`

    - #### prepareSetDocumentData

          public void prepareSetDocumentData(com.vasoftware.sf.server.services.docman.DocumentDO documentDO,
                                             String fileId,
                                             String loggedInUser,
                                             Set tagIds,
                                             Exception exception)

      Prepare a simulated response to setDocumentData
      See Also:
        `DocumentAppSoap.setDocumentData(java.lang.String, com.collabnet.ce.soap60.webservices.docman.DocumentSoapDO, java.lang.String)`

    - #### setDocumentData

          public void setDocumentData(com.vasoftware.sf.server.services.docman.DocumentDO documentDO,
                                      String fileId,
                                      String loggedInUser,
                                      Set tagIds)
                               throws RemoteException

      Simulate a call to setDocumentData
      Throws:
        `RemoteException`
      See Also:
        `DocumentAppSoap.setDocumentData(java.lang.String, com.collabnet.ce.soap60.webservices.docman.DocumentSoapDO, java.lang.String)`

    - #### prepareSetDocumentDataWithAssociation

          public void prepareSetDocumentDataWithAssociation(String sessionId,
                                                            DocumentSoapDO documentData,
                                                            String fileId,
                                                            String associationId,
                                                            String associationComment)

      Prepare a simulated response to setDocumentDataWithAssociation
      See Also:
        `DocumentAppSoap.setDocumentDataWithAssociation(java.lang.String, com.collabnet.ce.soap60.webservices.docman.DocumentSoapDO, java.lang.String, java.lang.String, java.lang.String)`

    - #### prepareSetDocumentDataWithAssociation

          public void prepareSetDocumentDataWithAssociation(String sessionId,
                                                            DocumentSoapDO documentData,
                                                            String fileId,
                                                            String associationId,
                                                            String associationComment,
                                                            Exception exception)

      Prepare a simulated response to setDocumentDataWithAssociation
      See Also:
        `DocumentAppSoap.setDocumentDataWithAssociation(java.lang.String, com.collabnet.ce.soap60.webservices.docman.DocumentSoapDO, java.lang.String, java.lang.String, java.lang.String)`

    - #### setDocumentDataWithAssociation

          public void setDocumentDataWithAssociation(String sessionId,
                                                     DocumentSoapDO documentData,
                                                     String fileId,
                                                     String associationId,
                                                     String associationComment)
                                              throws RemoteException

      Simulate a call to setDocumentDataWithAssociation
      Specified by:
        `setDocumentDataWithAssociation` in interface `IDocumentAppSoap`
      Parameters:
        `sessionId` - User session id.
        `documentData` - Document data object.
        `fileId` - Uploaded file id (through FileStorageApp or SimpleFileStorageApp service).
        `associationId` - The id of the association
        `associationComment` - Comment for the association
      Throws:
        `com.collabnet.ce.soap60.fault.InvalidSessionFault` - when the sessionId is invalid.
        `com.collabnet.ce.soap60.fault.NoSuchObjectFault` - when the specified object is invalid.
        `com.collabnet.ce.soap60.fault.PermissionDeniedFault` - when permission is denied for the specified operation.
        `com.collabnet.ce.soap60.fault.IllegalArgumentFault` - when document data information is invalid.
        `com.collabnet.ce.soap60.fault.VersionMismatchFault` - when document data is stale.
        `com.collabnet.ce.soap60.fault.SystemFault` - when an unexpected system error occurs.
        `com.collabnet.ce.soap60.fault.InvalidDocumentContentFault` - Only one of fileKey or fileUrl should be set. This failed
        `com.collabnet.ce.soap60.fault.InvalidAssociationFault` - when an invalid association object is passed.
        `RemoteException`
      See Also:
        `DocumentAppSoap.setDocumentDataWithAssociation(java.lang.String, com.collabnet.ce.soap60.webservices.docman.DocumentSoapDO, java.lang.String, java.lang.String, java.lang.String)`

    - #### prepareSetDocumentDataWithAssociation2

          public void prepareSetDocumentDataWithAssociation2(String sessionId,
                                                             Document2SoapDO documentData,
                                                             String fileId,
                                                             String associationId,
                                                             String associationComment)

      Prepare a simulated response to setDocumentDataWithAssociation2
      See Also:
        `DocumentAppSoap.setDocumentDataWithAssociation2(java.lang.String, com.collabnet.ce.soap60.webservices.docman.Document2SoapDO, java.lang.String, java.lang.String, java.lang.String)`

    - #### prepareSetDocumentDataWithAssociation2

          public void prepareSetDocumentDataWithAssociation2(String sessionId,
                                                             Document2SoapDO documentData,
                                                             String fileId,
                                                             String associationId,
                                                             String associationComment,
                                                             Exception exception)

      Prepare a simulated response to setDocumentDataWithAssociation2
      See Also:
        `DocumentAppSoap.setDocumentDataWithAssociation2(java.lang.String, com.collabnet.ce.soap60.webservices.docman.Document2SoapDO, java.lang.String, java.lang.String, java.lang.String)`

    - #### setDocumentDataWithAssociation2

          public void setDocumentDataWithAssociation2(String sessionId,
                                                      Document2SoapDO documentData,
                                                      String fileId,
                                                      String associationId,
                                                      String associationComment)
                                               throws RemoteException

      Simulate a call to setDocumentDataWithAssociation2
      Specified by:
        `setDocumentDataWithAssociation2` in interface `IDocumentAppSoap`
      Parameters:
        `sessionId` - User session id.
        `documentData` - Document data object.
        `fileId` - Uploaded file id (through FileStorageApp or SimpleFileStorageApp service).
        `associationId` - The id of the association
        `associationComment` - Comment for the association
      Throws:
        `com.collabnet.ce.soap60.fault.InvalidSessionFault` - when the sessionId is invalid.
        `com.collabnet.ce.soap60.fault.NoSuchObjectFault` - when the specified object is invalid.
        `com.collabnet.ce.soap60.fault.PermissionDeniedFault` - when permission is denied for the specified operation.
        `com.collabnet.ce.soap60.fault.IllegalArgumentFault` - when document data information is invalid.
        `com.collabnet.ce.soap60.fault.VersionMismatchFault` - when document data is stale.
        `com.collabnet.ce.soap60.fault.SystemFault` - when an unexpected system error occurs.
        `com.collabnet.ce.soap60.fault.InvalidDocumentContentFault` - Only one of fileKey or fileUrl should be set. This failed
        `com.collabnet.ce.soap60.fault.InvalidAssociationFault` - when an invalid association object is passed.
        `RemoteException`
      See Also:
        `DocumentAppSoap.setDocumentDataWithAssociation2(java.lang.String, com.collabnet.ce.soap60.webservices.docman.Document2SoapDO, java.lang.String, java.lang.String, java.lang.String)`

    - #### prepareSetDocumentDataWithAssociation3

          public void prepareSetDocumentDataWithAssociation3(String sessionId,
                                                             Document3SoapDO documentData,
                                                             String fileId,
                                                             String associationId,
                                                             String associationComment)

      Prepare a simulated response to setDocumentDataWithAssociation3
      See Also:
        `DocumentAppSoap.setDocumentDataWithAssociation3(java.lang.String, com.collabnet.ce.soap60.webservices.docman.Document3SoapDO, java.lang.String, java.lang.String, java.lang.String)`

    - #### prepareSetDocumentDataWithAssociation3

          public void prepareSetDocumentDataWithAssociation3(String sessionId,
                                                             Document3SoapDO documentData,
                                                             String fileId,
                                                             String associationId,
                                                             String associationComment,
                                                             Exception exception)

      Prepare a simulated response to setDocumentDataWithAssociation3
      See Also:
        `DocumentAppSoap.setDocumentDataWithAssociation3(java.lang.String, com.collabnet.ce.soap60.webservices.docman.Document3SoapDO, java.lang.String, java.lang.String, java.lang.String)`

    - #### setDocumentDataWithAssociation3

          public void setDocumentDataWithAssociation3(String sessionId,
                                                      Document3SoapDO documentData,
                                                      String fileId,
                                                      String associationId,
                                                      String associationComment)
                                               throws RemoteException

      Simulate a call to setDocumentDataWithAssociation3
      Specified by:
        `setDocumentDataWithAssociation3` in interface `IDocumentAppSoap`
      Parameters:
        `sessionId` - User session id.
        `documentData` - Document data object.
        `fileId` - Uploaded file id (through FileStorageApp or SimpleFileStorageApp service).
        `associationId` - The id of the association
        `associationComment` - Comment for the association
      Throws:
        `com.collabnet.ce.soap60.fault.InvalidSessionFault` - when the sessionId is invalid.
        `com.collabnet.ce.soap60.fault.NoSuchObjectFault` - when the specified object is invalid.
        `com.collabnet.ce.soap60.fault.PermissionDeniedFault` - when permission is denied for the specified operation.
        `com.collabnet.ce.soap60.fault.IllegalArgumentFault` - when document data information is invalid.
        `com.collabnet.ce.soap60.fault.VersionMismatchFault` - when document data is stale.
        `com.collabnet.ce.soap60.fault.SystemFault` - when an unexpected system error occurs.
        `com.collabnet.ce.soap60.fault.InvalidDocumentContentFault` - Only one of fileKey or fileUrl should be set. This failed
        `com.collabnet.ce.soap60.fault.InvalidAssociationFault` - when an invalid association object is passed.
        `com.collabnet.ce.soap60.fault.WorkflowViolationFault` - when the workflow is violated
        `RemoteException`
      See Also:
        `DocumentAppSoap.setDocumentDataWithAssociation3(java.lang.String, com.collabnet.ce.soap60.webservices.docman.Document3SoapDO, java.lang.String, java.lang.String, java.lang.String)`

    - #### prepareSetDocumentDataWithAssociation

          public void prepareSetDocumentDataWithAssociation(com.vasoftware.sf.server.services.docman.DocumentDO documentDO,
                                                            String fileId,
                                                            String associationId,
                                                            String associationComment,
                                                            String loggedInUser,
                                                            Set tagIds)

      Prepare a simulated response to setDocumentDataWithAssociation
      See Also:
        `DocumentAppSoap.setDocumentDataWithAssociation(java.lang.String, com.collabnet.ce.soap60.webservices.docman.DocumentSoapDO, java.lang.String, java.lang.String, java.lang.String)`

    - #### prepareSetDocumentDataWithAssociation

          public void prepareSetDocumentDataWithAssociation(com.vasoftware.sf.server.services.docman.DocumentDO documentDO,
                                                            String fileId,
                                                            String associationId,
                                                            String associationComment,
                                                            String loggedInUser,
                                                            Set tagIds,
                                                            Exception exception)

      Prepare a simulated response to setDocumentDataWithAssociation
      See Also:
        `DocumentAppSoap.setDocumentDataWithAssociation(java.lang.String, com.collabnet.ce.soap60.webservices.docman.DocumentSoapDO, java.lang.String, java.lang.String, java.lang.String)`

    - #### setDocumentDataWithAssociation

          public void setDocumentDataWithAssociation(com.vasoftware.sf.server.services.docman.DocumentDO documentDO,
                                                     String fileId,
                                                     String associationId,
                                                     String associationComment,
                                                     String loggedInUser,
                                                     Set tagIds)
                                              throws RemoteException

      Simulate a call to setDocumentDataWithAssociation
      Throws:
        `RemoteException`
      See Also:
        `DocumentAppSoap.setDocumentDataWithAssociation(java.lang.String, com.collabnet.ce.soap60.webservices.docman.DocumentSoapDO, java.lang.String, java.lang.String, java.lang.String)`

    - #### prepareGetDocumentFileId

          public void prepareGetDocumentFileId(String sessionId,
                                               String documentId,
                                               int documentVersion,
                                               Object returnValue)

      Prepare a simulated response to getDocumentFileId
      See Also:
        `DocumentAppSoap.getDocumentFileId(java.lang.String, java.lang.String, int)`

    - #### getDocumentFileId

          public String getDocumentFileId(String sessionId,
                                          String documentId,
                                          int documentVersion)
                                   throws RemoteException

      Simulate a call to getDocumentFileId
      Specified by:
        `getDocumentFileId` in interface `IDocumentAppSoap`
      Parameters:
        `sessionId` - User session id.
        `documentId` - document id.
        `documentVersion` - document version number (specify zero for current version).
      Returns:
        File storage id (for download using FileStorageService or SimpleFileStorageService).
      Throws:
        `com.collabnet.ce.soap60.fault.InvalidSessionFault` - when the sessionId is invalid.
        `com.collabnet.ce.soap60.fault.PermissionDeniedFault` - when permission is denied for the specified operation.
        `com.collabnet.ce.soap60.fault.NoSuchObjectFault` - when the specified object is invalid.
        `com.collabnet.ce.soap60.fault.NoSuchVersionFault` - when the specified version is invalid.
        `com.collabnet.ce.soap60.fault.SystemFault` - when an unexpected system error occurs.
        `RemoteException`
      See Also:
        `DocumentAppSoap.getDocumentFileId(java.lang.String, java.lang.String, int)`

    - #### prepareIsLockedDocument

          public void prepareIsLockedDocument(com.vasoftware.sf.server.types.ItemPath documentPath,
                                              String loggedInUser,
                                              Object returnValue)

      Prepare a simulated response to isLockedDocument
      See Also:
        `DocumentAppSoap.isLockedDocument(com.vasoftware.sf.server.types.ItemPath, java.lang.String)`

    - #### isLockedDocument

          public boolean isLockedDocument(com.vasoftware.sf.server.types.ItemPath documentPath,
                                          String loggedInUser)
                                   throws RemoteException

      Simulate a call to isLockedDocument
      Throws:
        `RemoteException`
      See Also:
        `DocumentAppSoap.isLockedDocument(com.vasoftware.sf.server.types.ItemPath, java.lang.String)`

    - #### prepareGetDocumentVersions

          public void prepareGetDocumentVersions(String sessionId,
                                                 String documentId,
                                                 boolean includeDeletedVersions,
                                                 Object returnValue)

      Prepare a simulated response to getDocumentVersions
      See Also:
        `DocumentAppSoap.getDocumentVersions(java.lang.String, java.lang.String, boolean)`

    - #### getDocumentVersions

          public Document2SoapList getDocumentVersions(String sessionId,
                                                       String documentId,
                                                       boolean includeDeletedVersions)
                                                throws RemoteException

      Simulate a call to getDocumentVersions
      Specified by:
        `getDocumentVersions` in interface `IDocumentAppSoap`
      Parameters:
        `sessionId` - SOAP session id.
        `documentId` - Document id.
        `includeDeletedVersions` - Flag to indicate if the deleted versions of the document are to be fetched.
      Returns:
        Document list.
      Throws:
        `com.collabnet.ce.soap60.fault.InvalidSessionFault` - when the sessionId is invalid.
        `com.collabnet.ce.soap60.fault.PermissionDeniedFault` - when permission is denied for the specified operation.
        `com.collabnet.ce.soap60.fault.NoSuchObjectFault` - when the specified object is invalid.
        `com.collabnet.ce.soap60.fault.SystemFault` - when an unexpected system error occurs.
        `com.collabnet.ce.soap60.fault.InvalidFilterFault` - when an invalid filter is specified.
        `RemoteException`
      See Also:
        `DocumentAppSoap.getDocumentVersions(java.lang.String, java.lang.String, boolean)`

    - #### prepareDeleteDocumentByVersions

          public void prepareDeleteDocumentByVersions(String sessionId,
                                                      String documentId,
                                                      int[] versionNumbers)

      Prepare a simulated response to deleteDocumentByVersions
      See Also:
        `DocumentAppSoap.deleteDocumentByVersions(java.lang.String, java.lang.String, int[])`

    - #### prepareDeleteDocumentByVersions

          public void prepareDeleteDocumentByVersions(String sessionId,
                                                      String documentId,
                                                      int[] versionNumbers,
                                                      Exception exception)

      Prepare a simulated response to deleteDocumentByVersions
      See Also:
        `DocumentAppSoap.deleteDocumentByVersions(java.lang.String, java.lang.String, int[])`

    - #### deleteDocumentByVersions

          public void deleteDocumentByVersions(String sessionId,
                                               String documentId,
                                               int[] versionNumbers)
                                        throws RemoteException

      Simulate a call to deleteDocumentByVersions
      Specified by:
        `deleteDocumentByVersions` in interface `IDocumentAppSoap`
      Parameters:
        `sessionId` - User session id.
        `documentId` - Document id.
        `versionNumbers` - Versions of the document to be deleted
      Throws:
        `com.collabnet.ce.soap60.fault.InvalidSessionFault` - when the sessionId is invalid.
        `com.collabnet.ce.soap60.fault.NoSuchObjectFault` - when the specified document Id is invalid.
        `com.collabnet.ce.soap60.fault.PermissionDeniedFault` - when permission is denied for the specified operation.
        `com.collabnet.ce.soap60.fault.IllegalArgumentFault` - for incorrect arguments. This can happen if the versionNumbers array is empty (or) if any of the versionNumbers is not valid.
        `com.collabnet.ce.soap60.fault.SystemFault` - when an unexpected system error occurs.
        `com.collabnet.ce.soap60.fault.SearchQuerySyntaxFault` - when the specified search query string is syntactically invalid.
        `com.collabnet.ce.soap60.fault.CannotDeleteDocumentVersionFault` - when the user tries to delete the active version of the document.
        `RemoteException`
      See Also:
        `DocumentAppSoap.deleteDocumentByVersions(java.lang.String, java.lang.String, int[])`

    - #### prepareAddTextField

          public void prepareAddTextField(String sessionId,
                                          String projectId,
                                          String fieldName,
                                          int displayColumns,
                                          int displayLines,
                                          boolean isRequired,
                                          boolean isDisabled,
                                          boolean isHiddenOnCreate,
                                          String defaultValue,
                                          String helpText,
                                          String pattern)

      Prepare a simulated response to addTextField
      See Also:
        `DocumentAppSoap.addTextField(java.lang.String, java.lang.String, java.lang.String, int, int, boolean, boolean, boolean, java.lang.String, java.lang.String, java.lang.String)`

    - #### prepareAddTextField

          public void prepareAddTextField(String sessionId,
                                          String projectId,
                                          String fieldName,
                                          int displayColumns,
                                          int displayLines,
                                          boolean isRequired,
                                          boolean isDisabled,
                                          boolean isHiddenOnCreate,
                                          String defaultValue,
                                          String helpText,
                                          String pattern,
                                          Exception exception)

      Prepare a simulated response to addTextField
      See Also:
        `DocumentAppSoap.addTextField(java.lang.String, java.lang.String, java.lang.String, int, int, boolean, boolean, boolean, java.lang.String, java.lang.String, java.lang.String)`

    - #### addTextField

          public void addTextField(String sessionId,
                                   String projectId,
                                   String fieldName,
                                   int displayColumns,
                                   int displayLines,
                                   boolean isRequired,
                                   boolean isDisabled,
                                   boolean isHiddenOnCreate,
                                   String defaultValue,
                                   String helpText,
                                   String pattern)
                            throws RemoteException

      Simulate a call to addTextField
      Specified by:
        `addTextField` in interface `IDocumentAppSoap`
      Parameters:
        `sessionId` - User session id.
        `projectId` - The project in which to add the field to.
        `fieldName` - the name of the field
        `displayColumns` - the width of the display area
        `displayLines` - the height of the display area
        `isRequired` - if the field is required
        `isDisabled` - if the field is disabled
        `isHiddenOnCreate` - if the field is hidden when first created
        `defaultValue` - default value
        `helpText` - The help text for the field
        `pattern` - The field validation pattern
      Throws:
        `com.collabnet.ce.soap60.fault.NoSuchObjectFault` - when the specified object id or fieldData is invalid
        `com.collabnet.ce.soap60.fault.InvalidSessionFault` - when the specified session id is invalid.
        `com.collabnet.ce.soap60.fault.PermissionDeniedFault` - when the user has insufficient privileges.
        `com.collabnet.ce.soap60.fault.VersionMismatchFault` - if the object has been updated since this fieldDO was fetched
        `com.collabnet.ce.soap60.fault.IllegalArgumentFault` - if the arguments are incorrectly specified
        `com.collabnet.ce.soap60.fault.InvalidOperationFault` - if the operation is not allowed
        `com.collabnet.ce.soap60.fault.SystemFault` - when an unexpected system error occurs.
        `RemoteException`
      See Also:
        `DocumentAppSoap.addTextField(java.lang.String, java.lang.String, java.lang.String, int, int, boolean, boolean, boolean, java.lang.String, java.lang.String, java.lang.String)`

    - #### prepareAddSingleSelectChildField

          public void prepareAddSingleSelectChildField(String sessionId,
                                                       String projectId,
                                                       String fieldName,
                                                       String[] fieldValues,
                                                       String parentFieldId,
                                                       com.collabnet.ce.soap60.types.SoapNamedValues parentChildFieldValueMap,
                                                       String helpText)

      Prepare a simulated response to addSingleSelectChildField
      See Also:
        `DocumentAppSoap.addSingleSelectChildField(java.lang.String, java.lang.String, java.lang.String, java.lang.String[], java.lang.String, com.collabnet.ce.soap60.types.SoapNamedValues, java.lang.String)`

    - #### prepareAddSingleSelectChildField

          public void prepareAddSingleSelectChildField(String sessionId,
                                                       String projectId,
                                                       String fieldName,
                                                       String[] fieldValues,
                                                       String parentFieldId,
                                                       com.collabnet.ce.soap60.types.SoapNamedValues parentChildFieldValueMap,
                                                       String helpText,
                                                       Exception exception)

      Prepare a simulated response to addSingleSelectChildField
      See Also:
        `DocumentAppSoap.addSingleSelectChildField(java.lang.String, java.lang.String, java.lang.String, java.lang.String[], java.lang.String, com.collabnet.ce.soap60.types.SoapNamedValues, java.lang.String)`

    - #### addSingleSelectChildField

          public void addSingleSelectChildField(String sessionId,
                                                String projectId,
                                                String fieldName,
                                                String[] fieldValues,
                                                String parentFieldId,
                                                com.collabnet.ce.soap60.types.SoapNamedValues parentChildFieldValueMap,
                                                String helpText)
                                         throws RemoteException

      Simulate a call to addSingleSelectChildField
      Specified by:
        `addSingleSelectChildField` in interface `IDocumentAppSoap`
      Parameters:
        `sessionId` - User session id.
        `projectId` - The project in which to add the field to.
        `fieldName` - the name of the field
        `fieldValues` - Array of valid field values
        `parentFieldId` - The id of the parent field
        `parentChildFieldValueMap` - soapNamedValues which keeps mapping between parent field values and child values
        `helpText` - the help text for the field
      Throws:
        `com.collabnet.ce.soap60.fault.NoSuchObjectFault` - when the specified object id or fieldData is invalid
        `com.collabnet.ce.soap60.fault.InvalidSessionFault` - when the specified session id is invalid.
        `com.collabnet.ce.soap60.fault.PermissionDeniedFault` - when the user has insufficient privileges.
        `com.collabnet.ce.soap60.fault.VersionMismatchFault` - if the object has been updated since this fieldDO was fetched
        `com.collabnet.ce.soap60.fault.IllegalArgumentFault` - if the arguments are incorrectly specified
        `com.collabnet.ce.soap60.fault.InvalidOperationFault` - if the operation is not allowed
        `com.collabnet.ce.soap60.fault.SystemFault` - when an unexpected system error occurs.
        `RemoteException`
      See Also:
        `DocumentAppSoap.addSingleSelectChildField(java.lang.String, java.lang.String, java.lang.String, java.lang.String[], java.lang.String, com.collabnet.ce.soap60.types.SoapNamedValues, java.lang.String)`

    - #### prepareAddSingleSelectField

          public void prepareAddSingleSelectField(String sessionId,
                                                  String projectId,
                                                  String fieldName,
                                                  boolean isRequired,
                                                  boolean isDisabled,
                                                  boolean isHiddenOnCreate,
                                                  String[] fieldValues,
                                                  String defaultValue,
                                                  String helpText)

      Prepare a simulated response to addSingleSelectField
      See Also:
        `DocumentAppSoap.addSingleSelectField(java.lang.String, java.lang.String, java.lang.String, boolean, boolean, boolean, java.lang.String[], java.lang.String, java.lang.String)`

    - #### prepareAddSingleSelectField

          public void prepareAddSingleSelectField(String sessionId,
                                                  String projectId,
                                                  String fieldName,
                                                  boolean isRequired,
                                                  boolean isDisabled,
                                                  boolean isHiddenOnCreate,
                                                  String[] fieldValues,
                                                  String defaultValue,
                                                  String helpText,
                                                  Exception exception)

      Prepare a simulated response to addSingleSelectField
      See Also:
        `DocumentAppSoap.addSingleSelectField(java.lang.String, java.lang.String, java.lang.String, boolean, boolean, boolean, java.lang.String[], java.lang.String, java.lang.String)`

    - #### addSingleSelectField

          public void addSingleSelectField(String sessionId,
                                           String projectId,
                                           String fieldName,
                                           boolean isRequired,
                                           boolean isDisabled,
                                           boolean isHiddenOnCreate,
                                           String[] fieldValues,
                                           String defaultValue,
                                           String helpText)
                                    throws RemoteException

      Simulate a call to addSingleSelectField
      Specified by:
        `addSingleSelectField` in interface `IDocumentAppSoap`
      Parameters:
        `sessionId` - User session id.
        `projectId` - The project in which to add the field to.
        `fieldName` - the name of the field
        `isRequired` - if the field is required
        `isDisabled` - if the field is disabled
        `isHiddenOnCreate` - if the field is hidden when first created
        `fieldValues` - Array of valid field values
        `defaultValue` - default value
        `helpText` - the help text for the field
      Throws:
        `com.collabnet.ce.soap60.fault.NoSuchObjectFault` - when the specified object id or fieldData is invalid
        `com.collabnet.ce.soap60.fault.InvalidSessionFault` - when the specified session id is invalid.
        `com.collabnet.ce.soap60.fault.PermissionDeniedFault` - when the user has insufficient privileges.
        `com.collabnet.ce.soap60.fault.VersionMismatchFault` - if the object has been updated since this fieldDO was fetched
        `com.collabnet.ce.soap60.fault.IllegalArgumentFault` - if the arguments are incorrectly specified
        `com.collabnet.ce.soap60.fault.InvalidOperationFault` - if the operation is not allowed
        `com.collabnet.ce.soap60.fault.SystemFault` - when an unexpected system error occurs.
        `RemoteException`
      See Also:
        `DocumentAppSoap.addSingleSelectField(java.lang.String, java.lang.String, java.lang.String, boolean, boolean, boolean, java.lang.String[], java.lang.String, java.lang.String)`

    - #### prepareAddMultiSelectField

          public void prepareAddMultiSelectField(String sessionId,
                                                 String projectId,
                                                 String fieldName,
                                                 int displayLines,
                                                 boolean isRequired,
                                                 boolean isDisabled,
                                                 boolean isHiddenOnCreate,
                                                 String[] fieldValues,
                                                 String[] defaultValues,
                                                 String helpText)

      Prepare a simulated response to addMultiSelectField
      See Also:
        `DocumentAppSoap.addMultiSelectField(java.lang.String, java.lang.String, java.lang.String, int, boolean, boolean, boolean, java.lang.String[], java.lang.String[], java.lang.String)`

    - #### prepareAddMultiSelectField

          public void prepareAddMultiSelectField(String sessionId,
                                                 String projectId,
                                                 String fieldName,
                                                 int displayLines,
                                                 boolean isRequired,
                                                 boolean isDisabled,
                                                 boolean isHiddenOnCreate,
                                                 String[] fieldValues,
                                                 String[] defaultValues,
                                                 String helpText,
                                                 Exception exception)

      Prepare a simulated response to addMultiSelectField
      See Also:
        `DocumentAppSoap.addMultiSelectField(java.lang.String, java.lang.String, java.lang.String, int, boolean, boolean, boolean, java.lang.String[], java.lang.String[], java.lang.String)`

    - #### addMultiSelectField

          public void addMultiSelectField(String sessionId,
                                          String projectId,
                                          String fieldName,
                                          int displayLines,
                                          boolean isRequired,
                                          boolean isDisabled,
                                          boolean isHiddenOnCreate,
                                          String[] fieldValues,
                                          String[] defaultValues,
                                          String helpText)
                                   throws RemoteException

      Simulate a call to addMultiSelectField
      Specified by:
        `addMultiSelectField` in interface `IDocumentAppSoap`
      Parameters:
        `sessionId` - User session id.
        `projectId` - The project in which to add the field to.
        `fieldName` - the name of the field
        `displayLines` - the height of the display area
        `isRequired` - if the field is required
        `isDisabled` - if the field is disabled
        `isHiddenOnCreate` - if the field is hidden when first created
        `fieldValues` - possible values
        `defaultValues` - default values
        `helpText` - the help text for the field
      Throws:
        `com.collabnet.ce.soap60.fault.NoSuchObjectFault` - when the specified object id or fieldData is invalid
        `com.collabnet.ce.soap60.fault.InvalidSessionFault` - when the specified session id is invalid.
        `com.collabnet.ce.soap60.fault.PermissionDeniedFault` - when the user has insufficient privileges.
        `com.collabnet.ce.soap60.fault.VersionMismatchFault` - if the object has been updated since this fieldDO was fetched
        `com.collabnet.ce.soap60.fault.IllegalArgumentFault` - if the arguments are incorrectly specified
        `com.collabnet.ce.soap60.fault.InvalidOperationFault` - if the operation is not allowed
        `com.collabnet.ce.soap60.fault.SystemFault` - when an unexpected system error occurs.
        `RemoteException`
      See Also:
        `DocumentAppSoap.addMultiSelectField(java.lang.String, java.lang.String, java.lang.String, int, boolean, boolean, boolean, java.lang.String[], java.lang.String[], java.lang.String)`

    - #### prepareAddUserSelectField

          public void prepareAddUserSelectField(String sessionId,
                                                String projectId,
                                                String fieldName,
                                                int displayLines,
                                                boolean isRequired,
                                                boolean isDisabled,
                                                boolean isHiddenOnCreate,
                                                String[] defaultValues,
                                                String userFilter,
                                                String helpText)

      Prepare a simulated response to addUserSelectField
      See Also:
        `DocumentAppSoap.addUserSelectField(java.lang.String, java.lang.String, java.lang.String, int, boolean, boolean, boolean, java.lang.String[], java.lang.String, java.lang.String)`

    - #### prepareAddUserSelectField

          public void prepareAddUserSelectField(String sessionId,
                                                String projectId,
                                                String fieldName,
                                                int displayLines,
                                                boolean isRequired,
                                                boolean isDisabled,
                                                boolean isHiddenOnCreate,
                                                String[] defaultValues,
                                                String userFilter,
                                                String helpText,
                                                Exception exception)

      Prepare a simulated response to addUserSelectField
      See Also:
        `DocumentAppSoap.addUserSelectField(java.lang.String, java.lang.String, java.lang.String, int, boolean, boolean, boolean, java.lang.String[], java.lang.String, java.lang.String)`

    - #### addUserSelectField

          public void addUserSelectField(String sessionId,
                                         String projectId,
                                         String fieldName,
                                         int displayLines,
                                         boolean isRequired,
                                         boolean isDisabled,
                                         boolean isHiddenOnCreate,
                                         String[] defaultValues,
                                         String userFilter,
                                         String helpText)
                                  throws RemoteException

      Simulate a call to addUserSelectField
      Specified by:
        `addUserSelectField` in interface `IDocumentAppSoap`
      Parameters:
        `sessionId` - User session id.
        `projectId` - The project in which to add the field to.
        `fieldName` - the name of the field
        `displayLines` - the height of the display area
        `isRequired` - if the field is required
        `isDisabled` - if the field is disabled
        `isHiddenOnCreate` - if the field is hidden when first created
        `defaultValues` - default values for this field. Must be valid usernames
        `userFilter` - is the filter
        `helpText` - The help text of the field
      Throws:
        `com.collabnet.ce.soap60.fault.NoSuchObjectFault` - when the specified object id or fieldData is invalid
        `com.collabnet.ce.soap60.fault.InvalidSessionFault` - when the specified session id is invalid.
        `com.collabnet.ce.soap60.fault.PermissionDeniedFault` - when the user has insufficient privileges.
        `com.collabnet.ce.soap60.fault.VersionMismatchFault` - if the object has been updated since this fieldDO was fetched
        `com.collabnet.ce.soap60.fault.IllegalArgumentFault` - if the arguments are incorrectly specified
        `com.collabnet.ce.soap60.fault.InvalidOperationFault` - if the operation is not allowed
        `com.collabnet.ce.soap60.fault.SystemFault` - when an unexpected system error occurs.
        `RemoteException`
      See Also:
        `DocumentAppSoap.addUserSelectField(java.lang.String, java.lang.String, java.lang.String, int, boolean, boolean, boolean, java.lang.String[], java.lang.String, java.lang.String)`

    - #### prepareAddDateField

          public void prepareAddDateField(String sessionId,
                                          String projectId,
                                          String fieldName,
                                          boolean isRequired,
                                          boolean isDisabled,
                                          boolean isHiddenOnCreate,
                                          String helpText)

      Prepare a simulated response to addDateField
      See Also:
        `DocumentAppSoap.addDateField(java.lang.String, java.lang.String, java.lang.String, boolean, boolean, boolean, java.lang.String)`

    - #### prepareAddDateField

          public void prepareAddDateField(String sessionId,
                                          String projectId,
                                          String fieldName,
                                          boolean isRequired,
                                          boolean isDisabled,
                                          boolean isHiddenOnCreate,
                                          String helpText,
                                          Exception exception)

      Prepare a simulated response to addDateField
      See Also:
        `DocumentAppSoap.addDateField(java.lang.String, java.lang.String, java.lang.String, boolean, boolean, boolean, java.lang.String)`

    - #### addDateField

          public void addDateField(String sessionId,
                                   String projectId,
                                   String fieldName,
                                   boolean isRequired,
                                   boolean isDisabled,
                                   boolean isHiddenOnCreate,
                                   String helpText)
                            throws RemoteException

      Simulate a call to addDateField
      Specified by:
        `addDateField` in interface `IDocumentAppSoap`
      Parameters:
        `sessionId` - User session id.
        `projectId` - The project in which to add the field to.
        `fieldName` - the name of the field
        `isRequired` - if the field is required
        `isDisabled` - if the field is disabled
        `isHiddenOnCreate` - if the field is hidden when first created
        `helpText` - the help text of the field
      Throws:
        `com.collabnet.ce.soap60.fault.NoSuchObjectFault` - when the specified object id or fieldData is invalid
        `com.collabnet.ce.soap60.fault.InvalidSessionFault` - when the specified session id is invalid.
        `com.collabnet.ce.soap60.fault.PermissionDeniedFault` - when the user has insufficient privileges.
        `com.collabnet.ce.soap60.fault.VersionMismatchFault` - if the object has been updated since this fieldDO was fetched
        `com.collabnet.ce.soap60.fault.IllegalArgumentFault` - if the arguments are incorrectly specified
        `com.collabnet.ce.soap60.fault.InvalidOperationFault` - if the operation is not allowed
        `com.collabnet.ce.soap60.fault.SystemFault` - when an unexpected system error occurs.
        `RemoteException`
      See Also:
        `DocumentAppSoap.addDateField(java.lang.String, java.lang.String, java.lang.String, boolean, boolean, boolean, java.lang.String)`

    - #### prepareAddField

          public void prepareAddField(String sessionId,
                                      String projectId,
                                      String fieldName,
                                      com.vasoftware.sf.server.services.field.FieldDisplayType fieldType,
                                      int displayColumns,
                                      int displayRows,
                                      boolean isRequired,
                                      boolean isDisabled,
                                      boolean isHiddenOnCreate,
                                      String[] fieldValues,
                                      String[] defaultFieldValues,
                                      String helpText,
                                      String pattern)

      Prepare a simulated response to addField
      See Also:
        `DocumentAppSoap.addField(java.lang.String, java.lang.String, java.lang.String, com.vasoftware.sf.server.services.field.FieldDisplayType, int, int, boolean, boolean, boolean, java.lang.String[], java.lang.String[], java.lang.String, java.lang.String)`

    - #### prepareAddField

          public void prepareAddField(String sessionId,
                                      String projectId,
                                      String fieldName,
                                      com.vasoftware.sf.server.services.field.FieldDisplayType fieldType,
                                      int displayColumns,
                                      int displayRows,
                                      boolean isRequired,
                                      boolean isDisabled,
                                      boolean isHiddenOnCreate,
                                      String[] fieldValues,
                                      String[] defaultFieldValues,
                                      String helpText,
                                      String pattern,
                                      Exception exception)

      Prepare a simulated response to addField
      See Also:
        `DocumentAppSoap.addField(java.lang.String, java.lang.String, java.lang.String, com.vasoftware.sf.server.services.field.FieldDisplayType, int, int, boolean, boolean, boolean, java.lang.String[], java.lang.String[], java.lang.String, java.lang.String)`

    - #### addField

          public void addField(String sessionId,
                               String projectId,
                               String fieldName,
                               com.vasoftware.sf.server.services.field.FieldDisplayType fieldType,
                               int displayColumns,
                               int displayRows,
                               boolean isRequired,
                               boolean isDisabled,
                               boolean isHiddenOnCreate,
                               String[] fieldValues,
                               String[] defaultFieldValues,
                               String helpText,
                               String pattern)
                        throws RemoteException

      Simulate a call to addField
      Throws:
        `RemoteException`
      See Also:
        `DocumentAppSoap.addField(java.lang.String, java.lang.String, java.lang.String, com.vasoftware.sf.server.services.field.FieldDisplayType, int, int, boolean, boolean, boolean, java.lang.String[], java.lang.String[], java.lang.String, java.lang.String)`

    - #### prepareGetFields

          public void prepareGetFields(String sessionId,
                                       String projectId,
                                       Object returnValue)

      Prepare a simulated response to getFields
      See Also:
        `DocumentAppSoap.getFields(java.lang.String, java.lang.String)`

    - #### getFields

          public DocumentFolderFieldSoapDO[] getFields(String sessionId,
                                                       String projectId)
                                                throws RemoteException

      Simulate a call to getFields
      Specified by:
        `getFields` in interface `IDocumentAppSoap`
      Parameters:
        `sessionId` - User session id.
        `projectId` - The project for which to return the document fields information.
      Returns:
        Array of all field values.
      Throws:
        `com.collabnet.ce.soap60.fault.InvalidSessionFault` - when the specified session id is invalid.
        `com.collabnet.ce.soap60.fault.PermissionDeniedFault` - when the user has insufficient privileges.
        `com.collabnet.ce.soap60.fault.NoSuchObjectFault` - when the specified object id is invalid.
        `com.collabnet.ce.soap60.fault.SystemFault` - when an unexpected system error occurs.
        `RemoteException`
      See Also:
        `DocumentAppSoap.getFields(java.lang.String, java.lang.String)`

    - #### prepareVerifyAndGetFields

          public void prepareVerifyAndGetFields(String projectId,
                                                String loggedInUser,
                                                Object returnValue)

      Prepare a simulated response to verifyAndGetFields
      See Also:
        `DocumentAppSoap.verifyAndGetFields(java.lang.String, java.lang.String)`

    - #### verifyAndGetFields

          public com.vasoftware.sf.server.services.field.FieldDO[] verifyAndGetFields(String projectId,
                                                                                      String loggedInUser)
                                                                               throws RemoteException

      Simulate a call to verifyAndGetFields
      Throws:
        `RemoteException`
      See Also:
        `DocumentAppSoap.verifyAndGetFields(java.lang.String, java.lang.String)`

    - #### prepareSetField

          public void prepareSetField(String sessionId,
                                      DocumentFolderFieldSoapDO fieldData)

      Prepare a simulated response to setField
      See Also:
        `DocumentAppSoap.setField(java.lang.String, com.collabnet.ce.soap60.webservices.docman.DocumentFolderFieldSoapDO)`

    - #### prepareSetField

          public void prepareSetField(String sessionId,
                                      DocumentFolderFieldSoapDO fieldData,
                                      Exception exception)

      Prepare a simulated response to setField
      See Also:
        `DocumentAppSoap.setField(java.lang.String, com.collabnet.ce.soap60.webservices.docman.DocumentFolderFieldSoapDO)`

    - #### setField

          public void setField(String sessionId,
                               DocumentFolderFieldSoapDO fieldData)
                        throws RemoteException

      Simulate a call to setField
      Specified by:
        `setField` in interface `IDocumentAppSoap`
      Parameters:
        `sessionId` - User session id.
        `fieldData` - the custom/flex-field to associate with a specific folder
      Throws:
        `com.collabnet.ce.soap60.fault.NoSuchObjectFault` - when the specified object id or fieldData is invalid
        `com.collabnet.ce.soap60.fault.InvalidSessionFault` - when the specified session id is invalid.
        `com.collabnet.ce.soap60.fault.PermissionDeniedFault` - when the user has insufficient privileges.
        `com.collabnet.ce.soap60.fault.VersionMismatchFault` - if the object has been updated since this fieldDO was fetched
        `com.collabnet.ce.soap60.fault.IllegalArgumentFault` - if the arguments are incorrectly specified. See FaultSummary for detail for the following: - DUPLICATE_FIELD_VALUE - ILLEGAL_FIELD_VALUE - INVALID_FIELD_VALUE - INVALID_DEFAULT_VALUE - INVALID_FIELD_OPTIONS_REQUIRED_DISABLED - INVALID_FIELD_VALUE_LENGTH - REQUIRED_FIELD_MISSING - INVALID_FIELD_PATTERN
        `com.collabnet.ce.soap60.fault.InvalidOperationFault` - if the operation is not allowed. See FaultSummary for detail for the following: - INVALID_OPTION_DISABLE_RESERVED_FIELD - INVALID_OPTION_DISABLE_IN_USE_FIELD
        `com.collabnet.ce.soap60.fault.SystemFault` - when an unexpected system error occurs.
        `com.collabnet.ce.soap60.fault.DependencyViolationFault` - if changing a status violates document dependency
        `RemoteException`
      See Also:
        `DocumentAppSoap.setField(java.lang.String, com.collabnet.ce.soap60.webservices.docman.DocumentFolderFieldSoapDO)`

    - #### prepareDeleteField

          public void prepareDeleteField(String sessionId,
                                         String fieldId)

      Prepare a simulated response to deleteField
      See Also:
        `DocumentAppSoap.deleteField(java.lang.String, java.lang.String)`

    - #### prepareDeleteField

          public void prepareDeleteField(String sessionId,
                                         String fieldId,
                                         Exception exception)

      Prepare a simulated response to deleteField
      See Also:
        `DocumentAppSoap.deleteField(java.lang.String, java.lang.String)`

    - #### deleteField

          public void deleteField(String sessionId,
                                  String fieldId)
                           throws RemoteException

      Simulate a call to deleteField
      Specified by:
        `deleteField` in interface `IDocumentAppSoap`
      Parameters:
        `sessionId` - User session id.
        `fieldId` - the id of the field to delete
      Throws:
        `com.collabnet.ce.soap60.fault.NoSuchObjectFault` - when the specified object id or fieldData is invalid
        `com.collabnet.ce.soap60.fault.InvalidSessionFault` - when the specified session id is invalid.
        `com.collabnet.ce.soap60.fault.PermissionDeniedFault` - when the user has insufficient privileges.
        `com.collabnet.ce.soap60.fault.InvalidOperationFault` - if the operation is not allowed.
        `com.collabnet.ce.soap60.fault.SystemFault` - when an unexpected system error occurs.
        `RemoteException`
      See Also:
        `DocumentAppSoap.deleteField(java.lang.String, java.lang.String)`

    - #### prepareAddSeparator

          public void prepareAddSeparator(String sessionId,
                                          String projectId,
                                          String separatorType,
                                          String separatorLabel)

      Prepare a simulated response to addSeparator
      See Also:
        `DocumentAppSoap.addSeparator(java.lang.String, java.lang.String, java.lang.String, java.lang.String)`

    - #### prepareAddSeparator

          public void prepareAddSeparator(String sessionId,
                                          String projectId,
                                          String separatorType,
                                          String separatorLabel,
                                          Exception exception)

      Prepare a simulated response to addSeparator
      See Also:
        `DocumentAppSoap.addSeparator(java.lang.String, java.lang.String, java.lang.String, java.lang.String)`

    - #### addSeparator

          public void addSeparator(String sessionId,
                                   String projectId,
                                   String separatorType,
                                   String separatorLabel)
                            throws RemoteException

      Simulate a call to addSeparator
      Specified by:
        `addSeparator` in interface `IDocumentAppSoap`
      Parameters:
        `sessionId` - User session id.
        `projectId` - The project in which to add the separator to.
        `separatorType` - the type of the separator, either OrderedDocumentFolderFieldSoapRow.ROW_SEPARATOR, OrderedDocumentFolderFieldSoapRow.COLUMN_SEPARATOR or OrderedDocumentFolderFieldSoapRow .SECTION_SEPARATOR.
        `separatorLabel` - the label of the separator
      Throws:
        `com.collabnet.ce.soap60.fault.NoSuchObjectFault` - when the specified object id is invalid
        `com.collabnet.ce.soap60.fault.InvalidSessionFault` - when the specified session id is invalid.
        `com.collabnet.ce.soap60.fault.PermissionDeniedFault` - when the user has insufficient privileges.
        `com.collabnet.ce.soap60.fault.IllegalArgumentFault` - if the arguments are incorrectly specified
        `com.collabnet.ce.soap60.fault.SystemFault` - when an unexpected system error occurs.
        `com.collabnet.ce.soap60.fault.ObjectAlreadyExistsFault` - if a separator with the same id exists
        `RemoteException`
      See Also:
        `DocumentAppSoap.addSeparator(java.lang.String, java.lang.String, java.lang.String, java.lang.String)`

    - #### prepareDeleteSeparator

          public void prepareDeleteSeparator(String sessionId,
                                             String layoutId)

      Prepare a simulated response to deleteSeparator
      See Also:
        `DocumentAppSoap.deleteSeparator(java.lang.String, java.lang.String)`

    - #### prepareDeleteSeparator

          public void prepareDeleteSeparator(String sessionId,
                                             String layoutId,
                                             Exception exception)

      Prepare a simulated response to deleteSeparator
      See Also:
        `DocumentAppSoap.deleteSeparator(java.lang.String, java.lang.String)`

    - #### deleteSeparator

          public void deleteSeparator(String sessionId,
                                      String layoutId)
                               throws RemoteException

      Simulate a call to deleteSeparator
      Specified by:
        `deleteSeparator` in interface `IDocumentAppSoap`
      Parameters:
        `sessionId` - User session id.
        `layoutId` - the layout id of the separator. To get the layout id, use getOrderedDocumentFolderFields().
      Throws:
        `com.collabnet.ce.soap60.fault.NoSuchObjectFault` - when the specified object id is invalid
        `com.collabnet.ce.soap60.fault.InvalidSessionFault` - when the specified session id is invalid.
        `com.collabnet.ce.soap60.fault.PermissionDeniedFault` - when the user has insufficient privileges.
        `com.collabnet.ce.soap60.fault.IllegalArgumentFault` - if the arguments are incorrectly specified
        `com.collabnet.ce.soap60.fault.InvalidOperationFault` - if the operation is not allowed
        `com.collabnet.ce.soap60.fault.SystemFault` - when an unexpected system error occurs.
        `RemoteException`
      See Also:
        `DocumentAppSoap.deleteSeparator(java.lang.String, java.lang.String)`

    - #### prepareGetOrderedDocumentFields

          public void prepareGetOrderedDocumentFields(String sessionId,
                                                      String projectId,
                                                      Object returnValue)

      Prepare a simulated response to getOrderedDocumentFields
      See Also:
        `DocumentAppSoap.getOrderedDocumentFields(java.lang.String, java.lang.String)`

    - #### getOrderedDocumentFields

          public OrderedDocumentFolderFieldSoapList getOrderedDocumentFields(String sessionId,
                                                                             String projectId)
                                                                      throws RemoteException

      Simulate a call to getOrderedDocumentFields
      Specified by:
        `getOrderedDocumentFields` in interface `IDocumentAppSoap`
      Parameters:
        `sessionId` - User session id.
        `projectId` - The project for which to return the document fields information.
      Returns:
        Array of all fields and separators.
      Throws:
        `com.collabnet.ce.soap60.fault.InvalidSessionFault` - when the specified session id is invalid.
        `com.collabnet.ce.soap60.fault.NoSuchObjectFault` - when the specified object id is invalid.
        `com.collabnet.ce.soap60.fault.PermissionDeniedFault` - when the user has insufficient privileges.
        `com.collabnet.ce.soap60.fault.SystemFault` - when an unexpected system error occurs.
        `RemoteException`
      See Also:
        `DocumentAppSoap.getOrderedDocumentFields(java.lang.String, java.lang.String)`

    - #### prepareReorderDocumentFields

          public void prepareReorderDocumentFields(String sessionId,
                                                   String projectId,
                                                   String[] layoutIds)

      Prepare a simulated response to reorderDocumentFields
      See Also:
        `DocumentAppSoap.reorderDocumentFields(java.lang.String, java.lang.String, java.lang.String[])`

    - #### prepareReorderDocumentFields

          public void prepareReorderDocumentFields(String sessionId,
                                                   String projectId,
                                                   String[] layoutIds,
                                                   Exception exception)

      Prepare a simulated response to reorderDocumentFields
      See Also:
        `DocumentAppSoap.reorderDocumentFields(java.lang.String, java.lang.String, java.lang.String[])`

    - #### reorderDocumentFields

          public void reorderDocumentFields(String sessionId,
                                            String projectId,
                                            String[] layoutIds)
                                     throws RemoteException

      Simulate a call to reorderDocumentFields
      Specified by:
        `reorderDocumentFields` in interface `IDocumentAppSoap`
      Parameters:
        `sessionId` - User session id.
        `projectId` - The project in which all the document fields and the separators belong to.
        `layoutIds` - An array of layout ids which can be obtained by getOrderedDocumentFields(). Layout id is different from field id and some system fields and separators do not have field id but only layout id.
      Throws:
        `com.collabnet.ce.soap60.fault.InvalidSessionFault` - When the specified session id is invalid.
        `com.collabnet.ce.soap60.fault.NoSuchObjectFault` - When any of the specified object id is invalid.
        `com.collabnet.ce.soap60.fault.IllegalArgumentFault` - If invalid argument value is passed.
        `com.collabnet.ce.soap60.fault.PermissionDeniedFault` - When the user has insufficient privileges.
        `com.collabnet.ce.soap60.fault.SystemFault` - When an unexpected system level error occurs.
        `RemoteException`
      See Also:
        `DocumentAppSoap.reorderDocumentFields(java.lang.String, java.lang.String, java.lang.String[])`

    - #### prepareValidateVersions

          public void prepareValidateVersions(com.vasoftware.sf.server.types.ItemPath documentPath,
                                              int[] versionNumbers,
                                              String loggedInUser,
                                              Object returnValue)

      Prepare a simulated response to validateVersions
      See Also:
        `DocumentAppSoap.validateVersions(com.vasoftware.sf.server.types.ItemPath, int[], java.lang.String)`

    - #### validateVersions

          public List validateVersions(com.vasoftware.sf.server.types.ItemPath documentPath,
                                       int[] versionNumbers,
                                       String loggedInUser)
                                throws RemoteException

      Simulate a call to validateVersions
      Throws:
        `RemoteException`
      See Also:
        `DocumentAppSoap.validateVersions(com.vasoftware.sf.server.types.ItemPath, int[], java.lang.String)`

    - #### prepareCheckPermissionForView

          public void prepareCheckPermissionForView(com.vasoftware.sf.server.types.UserSessionKey sessionKey,
                                                    String username,
                                                    com.vasoftware.sf.server.types.ObjectKey targetKey,
                                                    Object returnValue)

      Prepare a simulated response to checkPermissionForView
      See Also:
        `DocumentAppSoap.checkPermissionForView(com.vasoftware.sf.server.types.UserSessionKey, java.lang.String, com.vasoftware.sf.server.types.ObjectKey)`

    - #### checkPermissionForView

          public boolean checkPermissionForView(com.vasoftware.sf.server.types.UserSessionKey sessionKey,
                                                String username,
                                                com.vasoftware.sf.server.types.ObjectKey targetKey)
                                         throws RemoteException

      Simulate a call to checkPermissionForView
      Throws:
        `RemoteException`
      See Also:
        `DocumentAppSoap.checkPermissionForView(com.vasoftware.sf.server.types.UserSessionKey, java.lang.String, com.vasoftware.sf.server.types.ObjectKey)`

    - #### prepareValidateCreateDocument

          public void prepareValidateCreateDocument(String title,
                                                    String description,
                                                    String status,
                                                    String fileName,
                                                    String mimeType,
                                                    String fileId)

      Prepare a simulated response to validateCreateDocument
      See Also:
        `DocumentAppSoap.validateCreateDocument(java.lang.String, java.lang.String, java.lang.String, java.lang.String, java.lang.String, java.lang.String)`

    - #### prepareValidateCreateDocument

          public void prepareValidateCreateDocument(String title,
                                                    String description,
                                                    String status,
                                                    String fileName,
                                                    String mimeType,
                                                    String fileId,
                                                    Exception exception)

      Prepare a simulated response to validateCreateDocument
      See Also:
        `DocumentAppSoap.validateCreateDocument(java.lang.String, java.lang.String, java.lang.String, java.lang.String, java.lang.String, java.lang.String)`

    - #### validateCreateDocument

          public void validateCreateDocument(String title,
                                             String description,
                                             String status,
                                             String fileName,
                                             String mimeType,
                                             String fileId)
                                      throws RemoteException

      Simulate a call to validateCreateDocument
      Throws:
        `RemoteException`
      See Also:
        `DocumentAppSoap.validateCreateDocument(java.lang.String, java.lang.String, java.lang.String, java.lang.String, java.lang.String, java.lang.String)`

    - #### prepareValidateCreateDocumentWithUrl

          public void prepareValidateCreateDocumentWithUrl(String title,
                                                           String description,
                                                           String status,
                                                           String fileUrl)

      Prepare a simulated response to validateCreateDocumentWithUrl
      See Also:
        `DocumentAppSoap.validateCreateDocumentWithUrl(java.lang.String, java.lang.String, java.lang.String, java.lang.String)`

    - #### prepareValidateCreateDocumentWithUrl

          public void prepareValidateCreateDocumentWithUrl(String title,
                                                           String description,
                                                           String status,
                                                           String fileUrl,
                                                           Exception exception)

      Prepare a simulated response to validateCreateDocumentWithUrl
      See Also:
        `DocumentAppSoap.validateCreateDocumentWithUrl(java.lang.String, java.lang.String, java.lang.String, java.lang.String)`

    - #### validateCreateDocumentWithUrl

          public void validateCreateDocumentWithUrl(String title,
                                                    String description,
                                                    String status,
                                                    String fileUrl)
                                             throws RemoteException

      Simulate a call to validateCreateDocumentWithUrl
      Throws:
        `RemoteException`
      See Also:
        `DocumentAppSoap.validateCreateDocumentWithUrl(java.lang.String, java.lang.String, java.lang.String, java.lang.String)`

    - #### prepareValidateLockAttributes

          public void prepareValidateLockAttributes(boolean createLocked,
                                                    boolean createDownloadRestricted,
                                                    boolean allowForceUnlock)

      Prepare a simulated response to validateLockAttributes
      See Also:
        `DocumentAppSoap.validateLockAttributes(boolean, boolean, boolean)`

    - #### prepareValidateLockAttributes

          public void prepareValidateLockAttributes(boolean createLocked,
                                                    boolean createDownloadRestricted,
                                                    boolean allowForceUnlock,
                                                    Exception exception)

      Prepare a simulated response to validateLockAttributes
      See Also:
        `DocumentAppSoap.validateLockAttributes(boolean, boolean, boolean)`

    - #### validateLockAttributes

          public void validateLockAttributes(boolean createLocked,
                                             boolean createDownloadRestricted,
                                             boolean allowForceUnlock)
                                      throws RemoteException

      Simulate a call to validateLockAttributes
      Throws:
        `RemoteException`
      See Also:
        `DocumentAppSoap.validateLockAttributes(boolean, boolean, boolean)`

    - #### prepareGetDocumentData

          public void prepareGetDocumentData(String documentId,
                                             int documentVersion,
                                             String sessionId,
                                             Object returnValue)

      Prepare a simulated response to getDocumentData
      See Also:
        `DocumentAppSoap.getDocumentData(java.lang.String, java.lang.String, int)`

    - #### getDocumentData

          public com.vasoftware.sf.server.services.docman.DocumentDO getDocumentData(String documentId,
                                                                                     int documentVersion,
                                                                                     String sessionId)
                                                                              throws RemoteException

      Simulate a call to getDocumentData
      Throws:
        `RemoteException`
      See Also:
        `DocumentAppSoap.getDocumentData(java.lang.String, java.lang.String, int)`

Copyright © 2019 CollabNet. All rights reserved.